Update an existing tollfree verification request. This is particularly useful when there are pending customer actions to be taken.
PATCH
/
messaging_tollfree
/
verification
/
requests
/
{id}
JavaScript
import Telnyx from 'telnyx';const client = new Telnyx({ apiKey: process.env['TELNYX_API_KEY'], // This is the default and can be omitted});const verificationRequestEgress = await client.messagingTollfree.verification.requests.update( '182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e', { additionalInformation: 'additionalInformation', businessAddr1: '600 Congress Avenue', businessCity: 'Austin', businessContactEmail: '[email protected]', businessContactFirstName: 'John', businessContactLastName: 'Doe', businessContactPhone: '+18005550100', businessName: 'Telnyx LLC', businessState: 'Texas', businessZip: '78701', corporateWebsite: 'http://example.com', messageVolume: '100,000', optInWorkflow: "User signs into the Telnyx portal, enters a number and is prompted to select whether they want to use 2FA verification for security purposes. If they've opted in a confirmation message is sent out to the handset", optInWorkflowImageURLs: [ { url: 'https://telnyx.com/sign-up' }, { url: 'https://telnyx.com/company/data-privacy' }, ], phoneNumbers: [{ phoneNumber: '+18773554398' }, { phoneNumber: '+18773554399' }], productionMessageContent: 'Your Telnyx OTP is XXXX', useCase: '2FA', useCaseSummary: 'This is a use case where Telnyx sends out 2FA codes to portal users to verify their identity in order to sign into the portal', },);console.log(verificationRequestEgress.id);
import os
from telnyx import Telnyx
client = Telnyx(
api_key=os.environ.get("TELNYX_API_KEY"), # This is the default and can be omitted
)
verification_request_egress = client.messaging_tollfree.verification.requests.update(
id="182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
additional_information="additionalInformation",
business_addr1="600 Congress Avenue",
business_city="Austin",
business_contact_email="[email protected]",
business_contact_first_name="John",
business_contact_last_name="Doe",
business_contact_phone="+18005550100",
business_name="Telnyx LLC",
business_state="Texas",
business_zip="78701",
corporate_website="http://example.com",
message_volume="100,000",
opt_in_workflow="User signs into the Telnyx portal, enters a number and is prompted to select whether they want to use 2FA verification for security purposes. If they've opted in a confirmation message is sent out to the handset",
opt_in_workflow_image_urls=[{
"url": "https://telnyx.com/sign-up"
}, {
"url": "https://telnyx.com/company/data-privacy"
}],
phone_numbers=[{
"phone_number": "+18773554398"
}, {
"phone_number": "+18773554399"
}],
production_message_content="Your Telnyx OTP is XXXX",
use_case="2FA",
use_case_summary="This is a use case where Telnyx sends out 2FA codes to portal users to verify their identity in order to sign into the portal",
)
print(verification_request_egress.id)
package main
import (
"context"
"fmt"
"github.com/team-telnyx/telnyx-go"
"github.com/team-telnyx/telnyx-go/option"
)
func main() {
client := telnyx.NewClient(
option.WithAPIKey("My API Key"),
)
verificationRequestEgress, err := client.MessagingTollfree.Verification.Requests.Update(
context.TODO(),
"182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
telnyx.MessagingTollfreeVerificationRequestUpdateParams{
TfVerificationRequest: telnyx.TfVerificationRequestParam{
AdditionalInformation: "additionalInformation",
BusinessAddr1: "600 Congress Avenue",
BusinessCity: "Austin",
BusinessContactEmail: "[email protected]",
BusinessContactFirstName: "John",
BusinessContactLastName: "Doe",
BusinessContactPhone: "+18005550100",
BusinessName: "Telnyx LLC",
BusinessState: "Texas",
BusinessZip: "78701",
CorporateWebsite: "http://example.com",
MessageVolume: telnyx.VolumeV100000,
OptInWorkflow: "User signs into the Telnyx portal, enters a number and is prompted to select whether they want to use 2FA verification for security purposes. If they've opted in a confirmation message is sent out to the handset",
OptInWorkflowImageURLs: []telnyx.URLParam{{
URL: "https://telnyx.com/sign-up",
}, {
URL: "https://telnyx.com/company/data-privacy",
}},
PhoneNumbers: []telnyx.TfPhoneNumberParam{{
PhoneNumber: "+18773554398",
}, {
PhoneNumber: "+18773554399",
}},
ProductionMessageContent: "Your Telnyx OTP is XXXX",
UseCase: telnyx.UseCaseCategoriesTwoFa,
UseCaseSummary: "This is a use case where Telnyx sends out 2FA codes to portal users to verify their identity in order to sign into the portal",
},
},
)
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", verificationRequestEgress.ID)
}
package com.telnyx.sdk.example;
import com.telnyx.sdk.client.TelnyxClient;
import com.telnyx.sdk.client.okhttp.TelnyxOkHttpClient;
import com.telnyx.sdk.models.messagingtollfree.verification.requests.RequestUpdateParams;
import com.telnyx.sdk.models.messagingtollfree.verification.requests.TfPhoneNumber;
import com.telnyx.sdk.models.messagingtollfree.verification.requests.TfVerificationRequest;
import com.telnyx.sdk.models.messagingtollfree.verification.requests.Url;
import com.telnyx.sdk.models.messagingtollfree.verification.requests.UseCaseCategories;
import com.telnyx.sdk.models.messagingtollfree.verification.requests.VerificationRequestEgress;
import com.telnyx.sdk.models.messagingtollfree.verification.requests.Volume;
public final class Main {
private Main() {}
public static void main(String[] args) {
TelnyxClient client = TelnyxOkHttpClient.fromEnv();
RequestUpdateParams params = RequestUpdateParams.builder()
.id("182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e")
.tfVerificationRequest(TfVerificationRequest.builder()
.additionalInformation("additionalInformation")
.businessAddr1("600 Congress Avenue")
.businessCity("Austin")
.businessContactEmail("[email protected]")
.businessContactFirstName("John")
.businessContactLastName("Doe")
.businessContactPhone("+18005550100")
.businessName("Telnyx LLC")
.businessState("Texas")
.businessZip("78701")
.corporateWebsite("http://example.com")
.messageVolume(Volume.V_100000)
.optInWorkflow("User signs into the Telnyx portal, enters a number and is prompted to select whether they want to use 2FA verification for security purposes. If they've opted in a confirmation message is sent out to the handset")
.addOptInWorkflowImageUrl(Url.builder()
.url("https://telnyx.com/sign-up")
.build())
.addOptInWorkflowImageUrl(Url.builder()
.url("https://telnyx.com/company/data-privacy")
.build())
.addPhoneNumber(TfPhoneNumber.builder()
.phoneNumber("+18773554398")
.build())
.addPhoneNumber(TfPhoneNumber.builder()
.phoneNumber("+18773554399")
.build())
.productionMessageContent("Your Telnyx OTP is XXXX")
.useCase(UseCaseCategories.TWO_FA)
.useCaseSummary("This is a use case where Telnyx sends out 2FA codes to portal users to verify their identity in order to sign into the portal")
.build())
.build();
VerificationRequestEgress verificationRequestEgress = client.messagingTollfree().verification().requests().update(params);
}
}
require "telnyx"
telnyx = Telnyx::Client.new(api_key: "My API Key")
verification_request_egress = telnyx.messaging_tollfree.verification.requests.update(
"182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
additional_information: "additionalInformation",
business_addr1: "600 Congress Avenue",
business_city: "Austin",
business_contact_email: "[email protected]",
business_contact_first_name: "John",
business_contact_last_name: "Doe",
business_contact_phone: "+18005550100",
business_name: "Telnyx LLC",
business_state: "Texas",
business_zip: "78701",
corporate_website: "http://example.com",
message_volume: :"100,000",
opt_in_workflow: "User signs into the Telnyx portal, enters a number and is prompted to select whether they want to use 2FA verification for security purposes. If they've opted in a confirmation message is sent out to the handset",
opt_in_workflow_image_urls: [{url: "https://telnyx.com/sign-up"}, {url: "https://telnyx.com/company/data-privacy"}],
phone_numbers: [{phoneNumber: "+18773554398"}, {phoneNumber: "+18773554399"}],
production_message_content: "Your Telnyx OTP is XXXX",
use_case: :"2FA",
use_case_summary: "This is a use case where Telnyx sends out 2FA codes to portal users to verify their identity in order to sign into the portal"
)
puts(verification_request_egress)
<?php
require_once dirname(__DIR__) . '/vendor/autoload.php';
use Telnyx\Client;
use Telnyx\Core\Exceptions\APIException;
use Telnyx\MessagingTollfree\Verification\Requests\Volume;
use Telnyx\MessagingTollfree\Verification\Requests\UseCaseCategories;
use Telnyx\MessagingTollfree\Verification\Requests\TollFreeVerificationEntityType;
$client = new Client(apiKey: getenv('TELNYX_API_KEY') ?: 'My API Key');
try {
$verificationRequestEgress = $client
->messagingTollfree
->verification
->requests
->update(
'182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e',
additionalInformation: 'additionalInformation',
businessAddr1: '600 Congress Avenue',
businessCity: 'Austin',
businessContactEmail: '[email protected]',
businessContactFirstName: 'John',
businessContactLastName: 'Doe',
businessContactPhone: '+18005550100',
businessName: 'Telnyx LLC',
businessState: 'Texas',
businessZip: '78701',
corporateWebsite: 'http://example.com',
messageVolume: Volume::V_100000,
optInWorkflow: 'User signs into the Telnyx portal, enters a number and is prompted to select whether they want to use 2FA verification for security purposes. If they\'ve opted in a confirmation message is sent out to the handset',
optInWorkflowImageURLs: [
['url' => 'https://telnyx.com/sign-up'],
['url' => 'https://telnyx.com/company/data-privacy'],
],
phoneNumbers: [
['phoneNumber' => '+18773554398'], ['phoneNumber' => '+18773554399']
],
productionMessageContent: 'Your Telnyx OTP is XXXX',
useCase: UseCaseCategories::TWO_FA,
useCaseSummary: 'This is a use case where Telnyx sends out 2FA codes to portal users to verify their identity in order to sign into the portal',
ageGatedContent: true,
businessAddr2: '14th Floor',
businessRegistrationCountry: 'US',
businessRegistrationNumber: '12-3456789',
businessRegistrationType: 'EIN',
campaignVerifyAuthorizationToken: 'cv_token_abc123xyz',
doingBusinessAs: 'Acme Services',
entityType: TollFreeVerificationEntityType::SOLE_PROPRIETOR,
helpMessageResponse: 'Reply HELP for assistance or STOP to unsubscribe. Contact: [email protected]',
isvReseller: 'isvReseller',
optInConfirmationResponse: 'You have successfully opted in to receive messages from Acme Corp',
optInKeywords: 'START, YES, SUBSCRIBE',
privacyPolicyURL: 'https://example.com/privacy',
termsAndConditionURL: 'https://example.com/terms',
webhookURL: 'http://example-webhook.com',
);
var_dump($verificationRequestEgress);
} catch (APIException $e) {
echo $e->getMessage();
}
telnyx messaging-tollfree:verification:requests update \
--api-key 'My API Key' \
--id 182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e \
--additional-information additionalInformation \
--business-addr1 '600 Congress Avenue' \
--business-city Austin \
--business-contact-email [email protected] \
--business-contact-first-name John \
--business-contact-last-name Doe \
--business-contact-phone +18005550100 \
--business-name 'Telnyx LLC' \
--business-state Texas \
--business-zip 78701 \
--corporate-website http://example.com \
--message-volume 100,000 \
--opt-in-workflow "User signs into the Telnyx portal, enters a number and is prompted to select whether they want to use 2FA verification for security purposes. If they've opted in a confirmation message is sent out to the handset" \
--opt-in-workflow-image-url '{url: https://telnyx.com/sign-up}' \
--opt-in-workflow-image-url '{url: https://telnyx.com/company/data-privacy}' \
--phone-number "{phoneNumber: '+18773554398'}" \
--phone-number "{phoneNumber: '+18773554399'}" \
--production-message-content 'Your Telnyx OTP is XXXX' \
--use-case 2FA \
--use-case-summary 'This is a use case where Telnyx sends out 2FA codes to portal users to verify their identity in order to sign into the portal'
curl --request PATCH \
--url https://api.telnyx.com/v2/messaging_tollfree/verification/requests/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data @- <<EOF
{
"businessName": "Telnyx LLC",
"corporateWebsite": "http://example.com",
"businessAddr1": "600 Congress Avenue",
"businessCity": "Austin",
"businessState": "Texas",
"businessZip": "78701",
"businessContactFirstName": "John",
"businessContactLastName": "Doe",
"businessContactEmail": "[email protected]",
"businessContactPhone": "+18005550100",
"messageVolume": "100,000",
"phoneNumbers": [
{
"phoneNumber": "+18773554398"
},
{
"phoneNumber": "+18773554399"
}
],
"useCase": "2FA",
"useCaseSummary": "This is a use case where Telnyx sends out 2FA codes to portal users to verify their identity in order to sign into the portal",
"productionMessageContent": "Your Telnyx OTP is XXXX",
"optInWorkflow": "User signs into the Telnyx portal, enters a number and is prompted to select whether they want to use 2FA verification for security purposes. If they've opted in a confirmation message is sent out to the handset",
"optInWorkflowImageURLs": [
{
"url": "https://telnyx.com/sign-up"
},
{
"url": "https://telnyx.com/company/data-privacy"
}
],
"additionalInformation": "<string>",
"businessAddr2": "14th Floor",
"isvReseller": "<string>",
"webhookUrl": "http://example-webhook.com",
"businessRegistrationNumber": "12-3456789",
"businessRegistrationType": "EIN",
"businessRegistrationCountry": "US",
"doingBusinessAs": "Acme Services",
"optInConfirmationResponse": "You have successfully opted in to receive messages from Acme Corp",
"helpMessageResponse": "Reply HELP for assistance or STOP to unsubscribe. Contact: [email protected]",
"privacyPolicyURL": "https://example.com/privacy",
"termsAndConditionURL": "https://example.com/terms",
"ageGatedContent": false,
"optInKeywords": "START, YES, SUBSCRIBE",
"campaignVerifyAuthorizationToken": "cv_token_abc123xyz"
}
EOF
{ "businessName": "Telnyx LLC", "corporateWebsite": "http://example.com", "businessAddr1": "600 Congress Avenue", "businessCity": "Austin", "businessState": "Texas", "businessZip": "78701", "businessContactFirstName": "John", "businessContactLastName": "Doe", "businessContactEmail": "[email protected]", "businessContactPhone": "+18005550100", "messageVolume": "100,000", "phoneNumbers": [ { "phoneNumber": "+18773554398" }, { "phoneNumber": "+18773554399" } ], "useCase": "2FA", "useCaseSummary": "This is a use case where Telnyx sends out 2FA codes to portal users to verify their identity in order to sign into the portal", "productionMessageContent": "Your Telnyx OTP is XXXX", "optInWorkflow": "User signs into the Telnyx portal, enters number and is prompted to select whether they want to use 2FA verification for security purposes. If they've opted in a confirmation message is sent out to the handset", "optInWorkflowImageURLs": [ { "url": "https://telnyx.com/sign-up" }, { "url": "https://telnyx.com/company/data-privacy" } ], "additionalInformation": "This is for security purposes, blah blah blah", "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "verificationRequestId": "<string>", "businessAddr2": "14th Floor", "isvReseller": "Yes", "webhookUrl": "http://example-webhook.com", "businessRegistrationNumber": "12-3456789", "businessRegistrationType": "EIN", "businessRegistrationCountry": "US", "doingBusinessAs": "Acme Services", "entityType": "PRIVATE_PROFIT", "optInConfirmationResponse": "You have successfully opted in to receive messages from Acme Corp", "helpMessageResponse": "Reply HELP for assistance or STOP to unsubscribe. Contact: [email protected]", "privacyPolicyURL": "https://example.com/privacy", "termsAndConditionURL": "https://example.com/terms", "ageGatedContent": false, "optInKeywords": "START, YES, SUBSCRIBE", "campaignVerifyAuthorizationToken": "cv_token_abc123xyz", "verificationStatus": "In Progress"}
Human-readable description of how end users will opt into receiving messages from the given phone numbers
Maximum string length: 500
Example:
"User signs into the Telnyx portal, enters a number and is prompted to select whether they want to use 2FA verification for security purposes. If they've opted in a confirmation message is sent out to the handset"
ISO 3166-1 alpha-2 country code of the issuing business authority. Must be exactly 2 letters. Automatically converted to uppercase. Required from January 2026.
Campaign Verify Authorization Token required for Political use case submissions starting February 17, 2026. This token is validated by Zipwhip and must be provided for all Political use case verifications after the deadline.
Maximum string length: 500
Example:
"cv_token_abc123xyz"
Response
Successful Response
A verification request as it comes out of the database
"User signs into the Telnyx portal, enters number and is prompted to select whether they want to use 2FA verification for security purposes. If they've opted in a confirmation message is sent out to the handset"
import Telnyx from 'telnyx';const client = new Telnyx({ apiKey: process.env['TELNYX_API_KEY'], // This is the default and can be omitted});const verificationRequestEgress = await client.messagingTollfree.verification.requests.update( '182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e', { additionalInformation: 'additionalInformation', businessAddr1: '600 Congress Avenue', businessCity: 'Austin', businessContactEmail: '[email protected]', businessContactFirstName: 'John', businessContactLastName: 'Doe', businessContactPhone: '+18005550100', businessName: 'Telnyx LLC', businessState: 'Texas', businessZip: '78701', corporateWebsite: 'http://example.com', messageVolume: '100,000', optInWorkflow: "User signs into the Telnyx portal, enters a number and is prompted to select whether they want to use 2FA verification for security purposes. If they've opted in a confirmation message is sent out to the handset", optInWorkflowImageURLs: [ { url: 'https://telnyx.com/sign-up' }, { url: 'https://telnyx.com/company/data-privacy' }, ], phoneNumbers: [{ phoneNumber: '+18773554398' }, { phoneNumber: '+18773554399' }], productionMessageContent: 'Your Telnyx OTP is XXXX', useCase: '2FA', useCaseSummary: 'This is a use case where Telnyx sends out 2FA codes to portal users to verify their identity in order to sign into the portal', },);console.log(verificationRequestEgress.id);
import os
from telnyx import Telnyx
client = Telnyx(
api_key=os.environ.get("TELNYX_API_KEY"), # This is the default and can be omitted
)
verification_request_egress = client.messaging_tollfree.verification.requests.update(
id="182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
additional_information="additionalInformation",
business_addr1="600 Congress Avenue",
business_city="Austin",
business_contact_email="[email protected]",
business_contact_first_name="John",
business_contact_last_name="Doe",
business_contact_phone="+18005550100",
business_name="Telnyx LLC",
business_state="Texas",
business_zip="78701",
corporate_website="http://example.com",
message_volume="100,000",
opt_in_workflow="User signs into the Telnyx portal, enters a number and is prompted to select whether they want to use 2FA verification for security purposes. If they've opted in a confirmation message is sent out to the handset",
opt_in_workflow_image_urls=[{
"url": "https://telnyx.com/sign-up"
}, {
"url": "https://telnyx.com/company/data-privacy"
}],
phone_numbers=[{
"phone_number": "+18773554398"
}, {
"phone_number": "+18773554399"
}],
production_message_content="Your Telnyx OTP is XXXX",
use_case="2FA",
use_case_summary="This is a use case where Telnyx sends out 2FA codes to portal users to verify their identity in order to sign into the portal",
)
print(verification_request_egress.id)
package main
import (
"context"
"fmt"
"github.com/team-telnyx/telnyx-go"
"github.com/team-telnyx/telnyx-go/option"
)
func main() {
client := telnyx.NewClient(
option.WithAPIKey("My API Key"),
)
verificationRequestEgress, err := client.MessagingTollfree.Verification.Requests.Update(
context.TODO(),
"182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
telnyx.MessagingTollfreeVerificationRequestUpdateParams{
TfVerificationRequest: telnyx.TfVerificationRequestParam{
AdditionalInformation: "additionalInformation",
BusinessAddr1: "600 Congress Avenue",
BusinessCity: "Austin",
BusinessContactEmail: "[email protected]",
BusinessContactFirstName: "John",
BusinessContactLastName: "Doe",
BusinessContactPhone: "+18005550100",
BusinessName: "Telnyx LLC",
BusinessState: "Texas",
BusinessZip: "78701",
CorporateWebsite: "http://example.com",
MessageVolume: telnyx.VolumeV100000,
OptInWorkflow: "User signs into the Telnyx portal, enters a number and is prompted to select whether they want to use 2FA verification for security purposes. If they've opted in a confirmation message is sent out to the handset",
OptInWorkflowImageURLs: []telnyx.URLParam{{
URL: "https://telnyx.com/sign-up",
}, {
URL: "https://telnyx.com/company/data-privacy",
}},
PhoneNumbers: []telnyx.TfPhoneNumberParam{{
PhoneNumber: "+18773554398",
}, {
PhoneNumber: "+18773554399",
}},
ProductionMessageContent: "Your Telnyx OTP is XXXX",
UseCase: telnyx.UseCaseCategoriesTwoFa,
UseCaseSummary: "This is a use case where Telnyx sends out 2FA codes to portal users to verify their identity in order to sign into the portal",
},
},
)
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", verificationRequestEgress.ID)
}
package com.telnyx.sdk.example;
import com.telnyx.sdk.client.TelnyxClient;
import com.telnyx.sdk.client.okhttp.TelnyxOkHttpClient;
import com.telnyx.sdk.models.messagingtollfree.verification.requests.RequestUpdateParams;
import com.telnyx.sdk.models.messagingtollfree.verification.requests.TfPhoneNumber;
import com.telnyx.sdk.models.messagingtollfree.verification.requests.TfVerificationRequest;
import com.telnyx.sdk.models.messagingtollfree.verification.requests.Url;
import com.telnyx.sdk.models.messagingtollfree.verification.requests.UseCaseCategories;
import com.telnyx.sdk.models.messagingtollfree.verification.requests.VerificationRequestEgress;
import com.telnyx.sdk.models.messagingtollfree.verification.requests.Volume;
public final class Main {
private Main() {}
public static void main(String[] args) {
TelnyxClient client = TelnyxOkHttpClient.fromEnv();
RequestUpdateParams params = RequestUpdateParams.builder()
.id("182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e")
.tfVerificationRequest(TfVerificationRequest.builder()
.additionalInformation("additionalInformation")
.businessAddr1("600 Congress Avenue")
.businessCity("Austin")
.businessContactEmail("[email protected]")
.businessContactFirstName("John")
.businessContactLastName("Doe")
.businessContactPhone("+18005550100")
.businessName("Telnyx LLC")
.businessState("Texas")
.businessZip("78701")
.corporateWebsite("http://example.com")
.messageVolume(Volume.V_100000)
.optInWorkflow("User signs into the Telnyx portal, enters a number and is prompted to select whether they want to use 2FA verification for security purposes. If they've opted in a confirmation message is sent out to the handset")
.addOptInWorkflowImageUrl(Url.builder()
.url("https://telnyx.com/sign-up")
.build())
.addOptInWorkflowImageUrl(Url.builder()
.url("https://telnyx.com/company/data-privacy")
.build())
.addPhoneNumber(TfPhoneNumber.builder()
.phoneNumber("+18773554398")
.build())
.addPhoneNumber(TfPhoneNumber.builder()
.phoneNumber("+18773554399")
.build())
.productionMessageContent("Your Telnyx OTP is XXXX")
.useCase(UseCaseCategories.TWO_FA)
.useCaseSummary("This is a use case where Telnyx sends out 2FA codes to portal users to verify their identity in order to sign into the portal")
.build())
.build();
VerificationRequestEgress verificationRequestEgress = client.messagingTollfree().verification().requests().update(params);
}
}
require "telnyx"
telnyx = Telnyx::Client.new(api_key: "My API Key")
verification_request_egress = telnyx.messaging_tollfree.verification.requests.update(
"182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
additional_information: "additionalInformation",
business_addr1: "600 Congress Avenue",
business_city: "Austin",
business_contact_email: "[email protected]",
business_contact_first_name: "John",
business_contact_last_name: "Doe",
business_contact_phone: "+18005550100",
business_name: "Telnyx LLC",
business_state: "Texas",
business_zip: "78701",
corporate_website: "http://example.com",
message_volume: :"100,000",
opt_in_workflow: "User signs into the Telnyx portal, enters a number and is prompted to select whether they want to use 2FA verification for security purposes. If they've opted in a confirmation message is sent out to the handset",
opt_in_workflow_image_urls: [{url: "https://telnyx.com/sign-up"}, {url: "https://telnyx.com/company/data-privacy"}],
phone_numbers: [{phoneNumber: "+18773554398"}, {phoneNumber: "+18773554399"}],
production_message_content: "Your Telnyx OTP is XXXX",
use_case: :"2FA",
use_case_summary: "This is a use case where Telnyx sends out 2FA codes to portal users to verify their identity in order to sign into the portal"
)
puts(verification_request_egress)
<?php
require_once dirname(__DIR__) . '/vendor/autoload.php';
use Telnyx\Client;
use Telnyx\Core\Exceptions\APIException;
use Telnyx\MessagingTollfree\Verification\Requests\Volume;
use Telnyx\MessagingTollfree\Verification\Requests\UseCaseCategories;
use Telnyx\MessagingTollfree\Verification\Requests\TollFreeVerificationEntityType;
$client = new Client(apiKey: getenv('TELNYX_API_KEY') ?: 'My API Key');
try {
$verificationRequestEgress = $client
->messagingTollfree
->verification
->requests
->update(
'182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e',
additionalInformation: 'additionalInformation',
businessAddr1: '600 Congress Avenue',
businessCity: 'Austin',
businessContactEmail: '[email protected]',
businessContactFirstName: 'John',
businessContactLastName: 'Doe',
businessContactPhone: '+18005550100',
businessName: 'Telnyx LLC',
businessState: 'Texas',
businessZip: '78701',
corporateWebsite: 'http://example.com',
messageVolume: Volume::V_100000,
optInWorkflow: 'User signs into the Telnyx portal, enters a number and is prompted to select whether they want to use 2FA verification for security purposes. If they\'ve opted in a confirmation message is sent out to the handset',
optInWorkflowImageURLs: [
['url' => 'https://telnyx.com/sign-up'],
['url' => 'https://telnyx.com/company/data-privacy'],
],
phoneNumbers: [
['phoneNumber' => '+18773554398'], ['phoneNumber' => '+18773554399']
],
productionMessageContent: 'Your Telnyx OTP is XXXX',
useCase: UseCaseCategories::TWO_FA,
useCaseSummary: 'This is a use case where Telnyx sends out 2FA codes to portal users to verify their identity in order to sign into the portal',
ageGatedContent: true,
businessAddr2: '14th Floor',
businessRegistrationCountry: 'US',
businessRegistrationNumber: '12-3456789',
businessRegistrationType: 'EIN',
campaignVerifyAuthorizationToken: 'cv_token_abc123xyz',
doingBusinessAs: 'Acme Services',
entityType: TollFreeVerificationEntityType::SOLE_PROPRIETOR,
helpMessageResponse: 'Reply HELP for assistance or STOP to unsubscribe. Contact: [email protected]',
isvReseller: 'isvReseller',
optInConfirmationResponse: 'You have successfully opted in to receive messages from Acme Corp',
optInKeywords: 'START, YES, SUBSCRIBE',
privacyPolicyURL: 'https://example.com/privacy',
termsAndConditionURL: 'https://example.com/terms',
webhookURL: 'http://example-webhook.com',
);
var_dump($verificationRequestEgress);
} catch (APIException $e) {
echo $e->getMessage();
}
telnyx messaging-tollfree:verification:requests update \
--api-key 'My API Key' \
--id 182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e \
--additional-information additionalInformation \
--business-addr1 '600 Congress Avenue' \
--business-city Austin \
--business-contact-email [email protected] \
--business-contact-first-name John \
--business-contact-last-name Doe \
--business-contact-phone +18005550100 \
--business-name 'Telnyx LLC' \
--business-state Texas \
--business-zip 78701 \
--corporate-website http://example.com \
--message-volume 100,000 \
--opt-in-workflow "User signs into the Telnyx portal, enters a number and is prompted to select whether they want to use 2FA verification for security purposes. If they've opted in a confirmation message is sent out to the handset" \
--opt-in-workflow-image-url '{url: https://telnyx.com/sign-up}' \
--opt-in-workflow-image-url '{url: https://telnyx.com/company/data-privacy}' \
--phone-number "{phoneNumber: '+18773554398'}" \
--phone-number "{phoneNumber: '+18773554399'}" \
--production-message-content 'Your Telnyx OTP is XXXX' \
--use-case 2FA \
--use-case-summary 'This is a use case where Telnyx sends out 2FA codes to portal users to verify their identity in order to sign into the portal'
curl --request PATCH \
--url https://api.telnyx.com/v2/messaging_tollfree/verification/requests/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data @- <<EOF
{
"businessName": "Telnyx LLC",
"corporateWebsite": "http://example.com",
"businessAddr1": "600 Congress Avenue",
"businessCity": "Austin",
"businessState": "Texas",
"businessZip": "78701",
"businessContactFirstName": "John",
"businessContactLastName": "Doe",
"businessContactEmail": "[email protected]",
"businessContactPhone": "+18005550100",
"messageVolume": "100,000",
"phoneNumbers": [
{
"phoneNumber": "+18773554398"
},
{
"phoneNumber": "+18773554399"
}
],
"useCase": "2FA",
"useCaseSummary": "This is a use case where Telnyx sends out 2FA codes to portal users to verify their identity in order to sign into the portal",
"productionMessageContent": "Your Telnyx OTP is XXXX",
"optInWorkflow": "User signs into the Telnyx portal, enters a number and is prompted to select whether they want to use 2FA verification for security purposes. If they've opted in a confirmation message is sent out to the handset",
"optInWorkflowImageURLs": [
{
"url": "https://telnyx.com/sign-up"
},
{
"url": "https://telnyx.com/company/data-privacy"
}
],
"additionalInformation": "<string>",
"businessAddr2": "14th Floor",
"isvReseller": "<string>",
"webhookUrl": "http://example-webhook.com",
"businessRegistrationNumber": "12-3456789",
"businessRegistrationType": "EIN",
"businessRegistrationCountry": "US",
"doingBusinessAs": "Acme Services",
"optInConfirmationResponse": "You have successfully opted in to receive messages from Acme Corp",
"helpMessageResponse": "Reply HELP for assistance or STOP to unsubscribe. Contact: [email protected]",
"privacyPolicyURL": "https://example.com/privacy",
"termsAndConditionURL": "https://example.com/terms",
"ageGatedContent": false,
"optInKeywords": "START, YES, SUBSCRIBE",
"campaignVerifyAuthorizationToken": "cv_token_abc123xyz"
}
EOF
{ "businessName": "Telnyx LLC", "corporateWebsite": "http://example.com", "businessAddr1": "600 Congress Avenue", "businessCity": "Austin", "businessState": "Texas", "businessZip": "78701", "businessContactFirstName": "John", "businessContactLastName": "Doe", "businessContactEmail": "[email protected]", "businessContactPhone": "+18005550100", "messageVolume": "100,000", "phoneNumbers": [ { "phoneNumber": "+18773554398" }, { "phoneNumber": "+18773554399" } ], "useCase": "2FA", "useCaseSummary": "This is a use case where Telnyx sends out 2FA codes to portal users to verify their identity in order to sign into the portal", "productionMessageContent": "Your Telnyx OTP is XXXX", "optInWorkflow": "User signs into the Telnyx portal, enters number and is prompted to select whether they want to use 2FA verification for security purposes. If they've opted in a confirmation message is sent out to the handset", "optInWorkflowImageURLs": [ { "url": "https://telnyx.com/sign-up" }, { "url": "https://telnyx.com/company/data-privacy" } ], "additionalInformation": "This is for security purposes, blah blah blah", "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "verificationRequestId": "<string>", "businessAddr2": "14th Floor", "isvReseller": "Yes", "webhookUrl": "http://example-webhook.com", "businessRegistrationNumber": "12-3456789", "businessRegistrationType": "EIN", "businessRegistrationCountry": "US", "doingBusinessAs": "Acme Services", "entityType": "PRIVATE_PROFIT", "optInConfirmationResponse": "You have successfully opted in to receive messages from Acme Corp", "helpMessageResponse": "Reply HELP for assistance or STOP to unsubscribe. Contact: [email protected]", "privacyPolicyURL": "https://example.com/privacy", "termsAndConditionURL": "https://example.com/terms", "ageGatedContent": false, "optInKeywords": "START, YES, SUBSCRIBE", "campaignVerifyAuthorizationToken": "cv_token_abc123xyz", "verificationStatus": "In Progress"}
{"docsConfig":{"theme":"sequoia","$schema":"https://mintlify.com/docs.json","name":"Telnyx","description":"Infrastructure for real-time agents. Voice, AI, Edge Compute","colors":{"primary":"#00B688","light":"#00B688","dark":"#00B688"},"logo":{"light":"https://mintcdn.com/telnyx/v2FpkbJg6PQ53qHU/assets/images/site/logo.svg?fit=max\u0026auto=format\u0026n=v2FpkbJg6PQ53qHU\u0026q=85\u0026s=5ee3f61d11ba90a197dd9a1e3499fab6","dark":"https://mintcdn.com/telnyx/v2FpkbJg6PQ53qHU/assets/images/site/logo-dark.svg?fit=max\u0026auto=format\u0026n=v2FpkbJg6PQ53qHU\u0026q=85\u0026s=d65aaa12ec708c79e5833cbdea958055"},"favicon":"https://mintcdn.com/telnyx/t-qaBUa_gCxdRz_m/favicon.ico?fit=max\u0026auto=format\u0026n=t-qaBUa_gCxdRz_m\u0026q=85\u0026s=8291283238ab8c0e2a7a985e69f38c2f","background":{"decoration":"gradient"},"navbar":{"links":[{"icon":"triangle-exclamation","href":"/docs/development/api-fundamentals/api-errors","label":"Error codes"},{"icon":"headset","href":"https://telnyx.com/contact-us","label":"Contact us"},{"icon":"user","href":"https://portal.telnyx.com/#/login/sign-in","label":"Login"}],"primary":{"type":"button","label":"Sign Up","href":"https://telnyx.com/sign-up"}},"footer":{"socials":{"github":"https://github.com/team-telnyx","linkedin":"https://www.linkedin.com/company/telnyx","slack":"https://joinslack.telnyx.com","x":"https://x.com/telnyx"},"links":[{"header":"Resources","items":[{"label":"Pricing","href":"https://developers.telnyx.com/internal/pages/pricing"},{"label":"Compare Telnyx","href":"https://developers.telnyx.com/internal/pages/compare"},{"label":"Support center","href":"https://support.telnyx.com/en"},{"label":"SETI","href":"https://seti.telnyx.com"},{"label":"Agent platform configs","href":"https://github.com/team-telnyx/ai"},{"label":"About Telnyx","href":"https://developers.telnyx.com/internal/pages/about"},{"label":"Service status","href":"https://status.telnyx.com"}]},{"header":"Updates","items":[{"label":"Release notes","href":"https://telnyx.com/release-notes"}]},{"header":"Community","items":[{"label":"Low Latency Club","href":"https://lowlatencyclub.ai/"}]},{"header":"Legal","items":[{"label":"Privacy policy","href":"https://telnyx.com/privacy-policy"},{"label":"Terms and conditions","href":"https://telnyx.com/terms-and-conditions"}]}]},"seo":{"metatags":{"og:description":"Infrastructure for real-time agents. Voice, AI, Edge Compute","description":"Infrastructure for real-time agents. Voice, AI, Edge Compute"},"organization":{"name":"Telnyx","url":"https://telnyx.com","logo":"https://telnyx.com/favicon.ico","sameAs":["https://x.com/telnyx","https://www.linkedin.com/company/telnyx/","https://github.com/team-telnyx"]}},"fonts":{"heading":{"family":"PP Formula","weight":800,"source":"assets/fonts/PPFormula-Extrabold.woff2","format":"woff2"},"body":{"family":"Inter","weight":400,"source":"assets/fonts/Inter-Regular.woff2","format":"woff2"}},"styling":{"eyebrows":"breadcrumbs","latex":true},"integrations":{"gtm":{"tagId":"GTM-NRRX236"}},"banner":{"content":"Check out our upcoming events and meetups! [View events →](https://lowlatencyclub.ai/)","dismissible":true},"contextual":{"options":["copy","view","chatgpt","claude","perplexity","mcp","cursor","vscode"],"display":"header"},"navigation":{"global":{"anchors":[{"anchor":"Home","icon":"house","href":"/docs/overview"}]},"pages":[]}},"deployment":{"deploymentMetadataValue":{"subdomain":"telnyx","hasAudioNarration":false,"actualSubdomain":"telnyx","customDomains":["developers.telnyx.com"],"gitSource":{"type":"github","owner":"team-telnyx","repo":"developer-docs-mintlify","deployBranch":"main","contentDirectory":"","isPrivate":true,"mountPath":"","label":""},"chroma":{"liveDeploymentHistoryId":"6aeb42f8476494e6dae3b0e3","collectionId":"592994df-f522-462c-80b5-cbff97b018d5","schemaVersion":"v3","latestBuiltDeploymentHistoryId":"6aeb42f8476494e6dae3b0e3"},"feedback":{"thumbs":true},"entitlements":{"AI_CHAT":{"status":"ENABLED"},"REMOVE_BRANDING":{"status":"ENABLED"},"CONTEXTUAL_FEEDBACK":{"status":"ENABLED"},"CODE_SNIPPET_FEEDBACK":{"status":"ENABLED"},"WEB_MCP":{"status":"ENABLED"},"NARRATION":{"status":"ENABLED"}},"buildId":"6aeb457ea60f76c944535310","clientVersion":"0.0.4054","searchFilterCounts":[{"language":"default","tag":"Calling","count":592},{"language":"default","tag":"API Reference","count":552},{"language":"default","tag":"Other APIs","count":406},{"language":"default","tag":"AI","count":382},{"language":"default","tag":"Messaging","count":353},{"language":"default","tag":"Numbers","count":287},{"language":"default","tag":"Agent Platform","count":220},{"language":"default","tag":"Assistants","count":202},{"language":"default","tag":"Voice API","count":178},{"language":"default","tag":"SMS \u0026 MMS","count":149}]},"assistantConfig":{"enableAskAiButton":false,"enableStarterQuestions":false,"enableAskAiSearchBar":true},"basePath":"","hasChatPermissions":true,"hasWebMcpPermissions":true,"toggles":[{"name":"kill-isr","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"agent-mintlify-slack","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"agent-integrations-settings","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"rbac-expansion","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"automations-pr-grouping","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"custom-prefix","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"analytics-v7","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"user-flows-analytics","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"no-publish-flow","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-onboarding","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"llms-txt-v2","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"snapshot-serving-live","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"stripTemperatureMiddleware","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"support-platform-pylon-zendesk","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"snapshot-serving","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"instant-rollback","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"granular-notifications-server","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"granular-notifications","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"automations-fable","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"fixed-ai-action-pricing","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"automation-resolve-merge-conflict","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"scoped-publishing","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"mintql","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"page-level-analytics","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"editor-version-history-v2","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"billing-page-v2","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"full-page-search","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workspace-projects","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"assistant-v5","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"fork-pr-previews","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"revalidation-jwt","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"vite-origin","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-sso-scim","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"hobby-abuse-scan","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"dashboard-inbox","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-signup","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"turbopuffer-dual-write","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-enabled","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"approve-review-flow","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"sso-setup-deadline-banner","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false}],"googleFontsInlined":false},"customCss":[{"filePath":"custom.css","content":"[class*=sidebar] [class*=badge],[class*=sidebar] [class*=tag],nav [class*=badge],nav [class*=tag]{font-size:.8rem!important}#ot-sdk-btn-floating{left:auto!important;right:10px!important}body:has([aria-label=\"Preview Widget\"]) #ot-sdk-btn-floating{bottom:88px!important}#navbar .nav-tabs-item:has(>div>svg[style*=\"/book-open.svg\"]),#navbar div:has(>div>.nav-tabs>a.nav-tabs-item:first-child:last-child){display:none}.nav-tabs a.nav-tabs-item:not([aria-current=location]){display:none}#mobile-nav #navigation-items>div:has(>div>button[aria-haspopup=menu]),#mobile-nav [data-component-part=products-selector-trigger],#mobile-nav.tx-has-directory #navigation-items{display:none!important}#mobile-nav .tx-mobile-directory{padding:0;margin-bottom:1.5rem}#mobile-nav .tx-mobile-directory .tx-dir-suite-head,#mobile-nav .tx-mobile-directory a{min-height:2.75rem}#mobile-nav .tx-mobile-directory :is(a, .tx-dir-suite-head):focus-visible{outline:2px solid currentColor;outline-offset:-2px}.txd-shell{display:flex;gap:0;max-width:none;margin:0;padding:3rem 2rem 6rem 0}.txd-side{width:18rem;flex-shrink:0}.txd-main{flex:1;min-width:0;max-width:56rem;margin-left:11.75rem}@media (max-width:80rem){.txd-main{margin-left:4rem}}:is(#tx-directory, .tx-mobile-directory){margin:0 0 .5rem;padding:0 .5rem 0 1rem}:is(#tx-directory, .tx-mobile-directory) .tx-dir-label{font-size:.72rem;font-weight:600;letter-spacing:.06em;text-transform:uppercase;opacity:.55;margin:0 0 .4rem}:is(#tx-directory, .tx-mobile-directory) .tx-dir-label-gap{margin-top:1.5rem}:is(#tx-directory, .tx-mobile-directory) .tx-dir-link,:is(#tx-directory, .tx-mobile-directory) summary{display:flex;align-items:center;cursor:pointer;font-size:.875rem;line-height:1.25rem;padding:.35rem .5rem;border-radius:.375rem;color:rgb(55 65 81);text-decoration:none}html.dark :is(#tx-directory, .tx-mobile-directory) .tx-dir-link,html.dark :is(#tx-directory, .tx-mobile-directory) summary{color:rgb(156 163 175)}:is(#tx-directory, .tx-mobile-directory) .tx-dir-link:hover,:is(#tx-directory, .tx-mobile-directory) summary:hover{color:rgb(17 24 39);background:rgb(0 0 0/.04)}:is(#tx-directory, .tx-mobile-directory) .tx-dir-link[aria-current=page]{color:#00b688;background:0 0;box-shadow:none;font-weight:400;text-shadow:-.2px 0 0 currentColor,.2px 0 0 currentColor}html.dark :is(#tx-directory, .tx-mobile-directory) .tx-dir-link:hover,html.dark :is(#tx-directory, .tx-mobile-directory) summary:hover{color:rgb(229 231 235);background:rgb(255 255 255/.06)}html.dark :is(#tx-directory, .tx-mobile-directory) .tx-dir-link[aria-current=page]{color:#5eead4;background:0 0;box-shadow:none}:is(#tx-directory, .tx-mobile-directory) .tx-dir-soon,:is(#tx-directory, .tx-mobile-directory) .tx-dir-soon:hover,html.dark :is(#tx-directory, .tx-mobile-directory) .tx-dir-soon,html.dark :is(#tx-directory, .tx-mobile-directory) .tx-dir-soon:hover{cursor:default;opacity:.45;background:0 0;color:inherit}:is(#tx-directory, .tx-mobile-directory) .tx-dir-soon sup{font-size:.6rem;line-height:1;letter-spacing:.05em;text-transform:uppercase;margin-left:.4rem;vertical-align:super}:is(#tx-directory, .tx-mobile-directory) .tx-dir-suite{margin-bottom:.15rem}:is(#tx-directory, .tx-mobile-directory) .tx-dir-suite-head{display:flex;align-items:center;cursor:pointer;user-select:none;font-size:.875rem;line-height:1.25rem;font-weight:500;padding:.35rem .5rem;border-radius:.375rem;color:rgb(55 65 81)}html.dark :is(#tx-directory, .tx-mobile-directory) .tx-dir-suite-head,html.dark :is(#tx-directory, .tx-mobile-directory) li a{color:rgb(156 163 175)}:is(#tx-directory, .tx-mobile-directory) .tx-dir-suite-head:hover,:is(#tx-directory, .tx-mobile-directory) li a:hover{color:rgb(17 24 39);background:rgb(0 0 0/.04)}html.dark :is(#tx-directory, .tx-mobile-directory) .tx-dir-suite-head:hover,html.dark :is(#tx-directory, .tx-mobile-directory) .tx-dir-suite.open>.tx-dir-suite-head,html.dark :is(#tx-directory, .tx-mobile-directory) li a:hover{color:rgb(229 231 235);background:rgb(255 255 255/.06)}:is(#tx-directory, .tx-mobile-directory) .tx-dir-suite-head::after{content:'';width:.42rem;height:.42rem;margin-left:auto;border-right:1.5px solid currentColor;border-bottom:1.5px solid currentColor;transform:rotate(-45deg);transition:transform .15s;flex-shrink:0;opacity:.7}:is(#tx-directory, .tx-mobile-directory) .tx-dir-suite.open>.tx-dir-suite-head::after{transform:rotate(45deg)}:is(#tx-directory, .tx-mobile-directory) .tx-dir-suite.open>.tx-dir-suite-head{color:rgb(17 24 39);background:rgb(0 0 0/.04);font-weight:600}:is(#tx-directory, .tx-mobile-directory) .tx-dir-suite>ul{display:none}:is(#tx-directory, .tx-mobile-directory) .tx-dir-suite.open>ul{display:block}:is(#tx-directory, .tx-mobile-directory) ul{margin:.15rem 0 .5rem;padding:0}:is(#tx-directory, .tx-mobile-directory) li{list-style:none}:is(#tx-directory, .tx-mobile-directory) li a{display:flex;align-items:center;font-size:.875rem;line-height:1.25rem;padding:.3rem .5rem .3rem 1.6rem;border-radius:.375rem;color:rgb(107 114 128);text-decoration:none}:is(#tx-directory, .tx-mobile-directory) .tx-dir-section-item{font-weight:500}:is(#tx-directory, .tx-mobile-directory) .tx-dir-icon{display:inline-block;width:1rem;height:1rem;flex-shrink:0;margin-right:.5rem;background-color:currentColor;-webkit-mask-repeat:no-repeat;mask-repeat:no-repeat;-webkit-mask-position:center;mask-position:center;-webkit-mask-size:contain;mask-size:contain}.txi-arrows-left-right-to-line{-webkit-mask-image:url(https://d3gk2c5xim1je2.cloudfront.net/fontawesome/v7.2.0/regular/arrows-left-right-to-line.svg);mask-image:url(https://d3gk2c5xim1je2.cloudfront.net/fontawesome/v7.2.0/regular/arrows-left-right-to-line.svg)}.txi-bolt{-webkit-mask-image:url(https://d3gk2c5xim1je2.cloudfront.net/fontawesome/v7.2.0/regular/bolt.svg);mask-image:url(https://d3gk2c5xim1je2.cloudfront.net/fontawesome/v7.2.0/regular/bolt.svg)}.txi-brain{-webkit-mask-image:url(https://d3gk2c5xim1je2.cloudfront.net/fontawesome/v7.2.0/regular/brain.svg);mask-image:url(https://d3gk2c5xim1je2.cloudfront.net/fontawesome/v7.2.0/regular/brain.svg)}.txi-brain-circuit{-webkit-mask-image:url(https://d3gk2c5xim1je2.cloudfront.net/fontawesome/v7.2.0/regular/brain-circuit.svg);mask-image:url(https://d3gk2c5xim1je2.cloudfront.net/fontawesome/v7.2.0/regular/brain-circuit.svg)}.txi-brands-whatsapp{-webkit-mask-image:url(https://d3gk2c5xim1je2.cloudfront.net/fontawesome/v7.2.0/brands/whatsapp.svg);mask-image:url(https://d3gk2c5xim1je2.cloudfront.net/fontawesome/v7.2.0/brands/whatsapp.svg)}.txi-broadcast-tower{-webkit-mask-image:url(https://d3gk2c5xim1je2.cloudfront.net/fontawesome/v7.2.0/regular/broadcast-tower.svg);mask-image:url(https://d3gk2c5xim1je2.cloudfront.net/fontawesome/v7.2.0/regular/broadcast-tower.svg)}.txi-browser{-webkit-mask-image:url(https://d3gk2c5xim1je2.cloudfront.net/fontawesome/v7.2.0/regular/browser.svg);mask-image:url(https://d3gk2c5xim1je2.cloudfront.net/fontawesome/v7.2.0/regular/browser.svg)}.txi-circle-nodes{-webkit-mask-image:url(https://d3gk2c5xim1je2.cloudfront.net/fontawesome/v7.2.0/regular/circle-nodes.svg);mask-image:url(https://d3gk2c5xim1je2.cloudfront.net/fontawesome/v7.2.0/regular/circle-nodes.svg)}.txi-clone{-webkit-mask-image:url(https://d3gk2c5xim1je2.cloudfront.net/fontawesome/v7.2.0/regular/clone.svg);mask-image:url(https://d3gk2c5xim1je2.cloudfront.net/fontawesome/v7.2.0/regular/clone.svg)}.txi-cloud{-webkit-mask-image:url(https://d3gk2c5xim1je2.cloudfront.net/fontawesome/v7.2.0/regular/cloud.svg);mask-image:url(https://d3gk2c5xim1je2.cloudfront.net/fontawesome/v7.2.0/regular/cloud.svg)}.txi-code{-webkit-mask-image:url(https://d3gk2c5xim1je2.cloudfront.net/fontawesome/v7.2.0/regular/code.svg);mask-image:url(https://d3gk2c5xim1je2.cloudfront.net/fontawesome/v7.2.0/regular/code.svg)}.txi-comment-sms{-webkit-mask-image:url(https://d3gk2c5xim1je2.cloudfront.net/fontawesome/v7.2.0/regular/comment-sms.svg);mask-image:url(https://d3gk2c5xim1je2.cloudfront.net/fontawesome/v7.2.0/regular/comment-sms.svg)}.txi-cubes{-webkit-mask-image:url(https://d3gk2c5xim1je2.cloudfront.net/fontawesome/v7.2.0/regular/cubes.svg);mask-image:url(https://d3gk2c5xim1je2.cloudfront.net/fontawesome/v7.2.0/regular/cubes.svg)}.txi-database{-webkit-mask-image:url(https://d3gk2c5xim1je2.cloudfront.net/fontawesome/v7.2.0/regular/database.svg);mask-image:url(https://d3gk2c5xim1je2.cloudfront.net/fontawesome/v7.2.0/regular/database.svg)}.txi-envelope{-webkit-mask-image:url(https://d3gk2c5xim1je2.cloudfront.net/fontawesome/v7.2.0/regular/envelope.svg);mask-image:url(https://d3gk2c5xim1je2.cloudfront.net/fontawesome/v7.2.0/regular/envelope.svg)}.txi-eye{-webkit-mask-image:url(https://d3gk2c5xim1je2.cloudfront.net/fontawesome/v7.2.0/regular/eye.svg);mask-image:url(https://d3gk2c5xim1je2.cloudfront.net/fontawesome/v7.2.0/regular/eye.svg)}.txi-file-certificate{-webkit-mask-image:url(https://d3gk2c5xim1je2.cloudfront.net/fontawesome/v7.2.0/regular/file-certificate.svg);mask-image:url(https://d3gk2c5xim1je2.cloudfront.net/fontawesome/v7.2.0/regular/file-certificate.svg)}.txi-fingerprint{-webkit-mask-image:url(https://d3gk2c5xim1je2.cloudfront.net/fontawesome/v7.2.0/regular/fingerprint.svg);mask-image:url(https://d3gk2c5xim1je2.cloudfront.net/fontawesome/v7.2.0/regular/fingerprint.svg)}.txi-folder-tree{-webkit-mask-image:url(https://d3gk2c5xim1je2.cloudfront.net/fontawesome/v7.2.0/regular/folder-tree.svg);mask-image:url(https://d3gk2c5xim1je2.cloudfront.net/fontawesome/v7.2.0/regular/folder-tree.svg)}.txi-globe{-webkit-mask-image:url(https://d3gk2c5xim1je2.cloudfront.net/fontawesome/v7.2.0/regular/globe.svg);mask-image:url(https://d3gk2c5xim1je2.cloudfront.net/fontawesome/v7.2.0/regular/globe.svg)}.txi-hard-drive{-webkit-mask-image:url(https://d3gk2c5xim1je2.cloudfront.net/fontawesome/v7.2.0/regular/hard-drive.svg);mask-image:url(https://d3gk2c5xim1je2.cloudfront.net/fontawesome/v7.2.0/regular/hard-drive.svg)}.txi-hashtag{-webkit-mask-image:url(https://d3gk2c5xim1je2.cloudfront.net/fontawesome/v7.2.0/regular/hashtag.svg);mask-image:url(https://d3gk2c5xim1je2.cloudfront.net/fontawesome/v7.2.0/regular/hashtag.svg)}.txi-headset{-webkit-mask-image:url(https://d3gk2c5xim1je2.cloudfront.net/fontawesome/v7.2.0/regular/headset.svg);mask-image:url(https://d3gk2c5xim1je2.cloudfront.net/fontawesome/v7.2.0/regular/headset.svg)}.txi-key{-webkit-mask-image:url(https://d3gk2c5xim1je2.cloudfront.net/fontawesome/v7.2.0/regular/key.svg);mask-image:url(https://d3gk2c5xim1je2.cloudfront.net/fontawesome/v7.2.0/regular/key.svg)}.txi-layer-group{-webkit-mask-image:url(https://d3gk2c5xim1je2.cloudfront.net/fontawesome/v7.2.0/regular/layer-group.svg);mask-image:url(https://d3gk2c5xim1je2.cloudfront.net/fontawesome/v7.2.0/regular/layer-group.svg)}.txi-magnifying-glass{-webkit-mask-image:url(https://d3gk2c5xim1je2.cloudfront.net/fontawesome/v7.2.0/regular/magnifying-glass.svg);mask-image:url(https://d3gk2c5xim1je2.cloudfront.net/fontawesome/v7.2.0/regular/magnifying-glass.svg)}.txi-message{-webkit-mask-image:url(https://d3gk2c5xim1je2.cloudfront.net/fontawesome/v7.2.0/regular/message.svg);mask-image:url(https://d3gk2c5xim1je2.cloudfront.net/fontawesome/v7.2.0/regular/message.svg)}.txi-message-dots{-webkit-mask-image:url(https://d3gk2c5xim1je2.cloudfront.net/fontawesome/v7.2.0/regular/message-dots.svg);mask-image:url(https://d3gk2c5xim1je2.cloudfront.net/fontawesome/v7.2.0/regular/message-dots.svg)}.txi-microchip-ai{-webkit-mask-image:url(https://d3gk2c5xim1je2.cloudfront.net/fontawesome/v7.2.0/regular/microchip-ai.svg);mask-image:url(https://d3gk2c5xim1je2.cloudfront.net/fontawesome/v7.2.0/regular/microchip-ai.svg)}.txi-microphone{-webkit-mask-image:url(https://d3gk2c5xim1je2.cloudfront.net/fontawesome/v7.2.0/regular/microphone.svg);mask-image:url(https://d3gk2c5xim1je2.cloudfront.net/fontawesome/v7.2.0/regular/microphone.svg)}.txi-network-wired{-webkit-mask-image:url(https://d3gk2c5xim1je2.cloudfront.net/fontawesome/v7.2.0/regular/network-wired.svg);mask-image:url(https://d3gk2c5xim1je2.cloudfront.net/fontawesome/v7.2.0/regular/network-wired.svg)}.txi-phone{-webkit-mask-image:url(https://d3gk2c5xim1je2.cloudfront.net/fontawesome/v7.2.0/regular/phone.svg);mask-image:url(https://d3gk2c5xim1je2.cloudfront.net/fontawesome/v7.2.0/regular/phone.svg)}.txi-phone-volume{-webkit-mask-image:url(https://d3gk2c5xim1je2.cloudfront.net/fontawesome/v7.2.0/regular/phone-volume.svg);mask-image:url(https://d3gk2c5xim1je2.cloudfront.net/fontawesome/v7.2.0/regular/phone-volume.svg)}.txi-plug{-webkit-mask-image:url(https://d3gk2c5xim1je2.cloudfront.net/fontawesome/v7.2.0/regular/plug.svg);mask-image:url(https://d3gk2c5xim1je2.cloudfront.net/fontawesome/v7.2.0/regular/plug.svg)}.txi-right-left{-webkit-mask-image:url(https://d3gk2c5xim1je2.cloudfront.net/fontawesome/v7.2.0/regular/right-left.svg);mask-image:url(https://d3gk2c5xim1je2.cloudfront.net/fontawesome/v7.2.0/regular/right-left.svg)}.txi-robot{-webkit-mask-image:url(https://d3gk2c5xim1je2.cloudfront.net/fontawesome/v7.2.0/regular/robot.svg);mask-image:url(https://d3gk2c5xim1je2.cloudfront.net/fontawesome/v7.2.0/regular/robot.svg)}.txi-server{-webkit-mask-image:url(https://d3gk2c5xim1je2.cloudfront.net/fontawesome/v7.2.0/regular/server.svg);mask-image:url(https://d3gk2c5xim1je2.cloudfront.net/fontawesome/v7.2.0/regular/server.svg)}.txi-share-nodes{-webkit-mask-image:url(https://d3gk2c5xim1je2.cloudfront.net/fontawesome/v7.2.0/regular/share-nodes.svg);mask-image:url(https://d3gk2c5xim1je2.cloudfront.net/fontawesome/v7.2.0/regular/share-nodes.svg)}.txi-shield{-webkit-mask-image:url(https://d3gk2c5xim1je2.cloudfront.net/fontawesome/v7.2.0/regular/shield.svg);mask-image:url(https://d3gk2c5xim1je2.cloudfront.net/fontawesome/v7.2.0/regular/shield.svg)}.txi-shield-check{-webkit-mask-image:url(https://d3gk2c5xim1je2.cloudfront.net/fontawesome/v7.2.0/regular/shield-check.svg);mask-image:url(https://d3gk2c5xim1je2.cloudfront.net/fontawesome/v7.2.0/regular/shield-check.svg)}.txi-signal{-webkit-mask-image:url(https://d3gk2c5xim1je2.cloudfront.net/fontawesome/v7.2.0/regular/signal.svg);mask-image:url(https://d3gk2c5xim1je2.cloudfront.net/fontawesome/v7.2.0/regular/signal.svg)}.txi-sim-card{-webkit-mask-image:url(https://d3gk2c5xim1je2.cloudfront.net/fontawesome/v7.2.0/regular/sim-card.svg);mask-image:url(https://d3gk2c5xim1je2.cloudfront.net/fontawesome/v7.2.0/regular/sim-card.svg)}.txi-split{-webkit-mask-image:url(https://d3gk2c5xim1je2.cloudfront.net/fontawesome/v7.2.0/regular/split.svg);mask-image:url(https://d3gk2c5xim1je2.cloudfront.net/fontawesome/v7.2.0/regular/split.svg)}.txi-table{-webkit-mask-image:url(https://d3gk2c5xim1je2.cloudfront.net/fontawesome/v7.2.0/regular/table.svg);mask-image:url(https://d3gk2c5xim1je2.cloudfront.net/fontawesome/v7.2.0/regular/table.svg)}.txi-tower-control{-webkit-mask-image:url(https://d3gk2c5xim1je2.cloudfront.net/fontawesome/v7.2.0/regular/tower-control.svg);mask-image:url(https://d3gk2c5xim1je2.cloudfront.net/fontawesome/v7.2.0/regular/tower-control.svg)}.txi-train-tunnel{-webkit-mask-image:url(https://d3gk2c5xim1je2.cloudfront.net/fontawesome/v7.2.0/regular/train-tunnel.svg);mask-image:url(https://d3gk2c5xim1je2.cloudfront.net/fontawesome/v7.2.0/regular/train-tunnel.svg)}.txi-video{-webkit-mask-image:url(https://d3gk2c5xim1je2.cloudfront.net/fontawesome/v7.2.0/regular/video.svg);mask-image:url(https://d3gk2c5xim1je2.cloudfront.net/fontawesome/v7.2.0/regular/video.svg)}.txi-wand-magic-sparkles{-webkit-mask-image:url(https://d3gk2c5xim1je2.cloudfront.net/fontawesome/v7.2.0/regular/wand-magic-sparkles.svg);mask-image:url(https://d3gk2c5xim1je2.cloudfront.net/fontawesome/v7.2.0/regular/wand-magic-sparkles.svg)}.txi-waveform{-webkit-mask-image:url(https://d3gk2c5xim1je2.cloudfront.net/fontawesome/v7.2.0/regular/waveform.svg);mask-image:url(https://d3gk2c5xim1je2.cloudfront.net/fontawesome/v7.2.0/regular/waveform.svg)}.txi-waveform-lines{-webkit-mask-image:url(https://d3gk2c5xim1je2.cloudfront.net/fontawesome/v7.2.0/regular/waveform-lines.svg);mask-image:url(https://d3gk2c5xim1je2.cloudfront.net/fontawesome/v7.2.0/regular/waveform-lines.svg)}.txd-main .txd-h1{font-family:var(--font-family-headings-custom, \"PP Formula\"),-apple-system,BlinkMacSystemFont,\"Segoe UI\",system-ui,sans-serif;font-size:2.1rem;font-weight:500;letter-spacing:-.01em;margin:1.2rem 0 .4rem;color:rgb(22 28 26)}html.dark .txd-main .txd-h1{color:rgb(229 231 235)}.txd-main .txd-lead{font-size:1.3rem;line-height:1.55;font-weight:500;margin:.9rem 0 1.3rem;color:rgb(31 41 55)}html.dark .txd-main .txd-lead{color:rgb(209 213 219)}.txd-main .txd-h2{font-family:var(--font-family-headings-custom, \"PP Formula\"),-apple-system,BlinkMacSystemFont,\"Segoe UI\",system-ui,sans-serif;font-size:1.45rem;font-weight:500;margin:2.4rem 0 .4rem;color:rgb(22 28 26)}html.dark .txd-main .txd-h2{color:rgb(229 231 235)}.txd-main .txd-section-h{font-size:1.05rem;font-weight:600;margin:1.8rem 0 .2rem;opacity:.85}.txd-main .txd-p{margin:.7rem 0 1rem;line-height:1.65;color:rgb(75 85 99)}html.dark .txd-main .txd-p{color:rgb(156 163 175)}.txd-main .txd-follow-up a:hover,.txd-main .txd-p a{text-decoration:underline}.txd-main .txd-h1{max-width:46rem;line-height:1.12}.txd-main .txd-hero-copy{max-width:45rem}.txd-main .txd-follow-up{margin-top:1rem}.txd-main .txd-follow-up a{color:#00b688;font-weight:600;text-decoration:none}.txd-main a:focus-visible{outline:2px solid #00b688;outline-offset:3px}@media (max-width:48rem){.txd-main .txd-h1{font-size:1.9rem}}@media (min-width:64.01rem) and (max-width:90rem){.txd-main{margin-right:4rem}}.rm-explorer{--rm-border:rgb(15 23 42 / 14%);--rm-muted:#5f6b68;--rm-soft:#f6f8f7}.dark .rm-explorer{--rm-border:rgb(255 255 255 / 14%);--rm-muted:#a2aaa8;--rm-soft:#151a19}#resource-map-toolbar{position:sticky;top:5rem;z-index:20;margin:1.25rem 0 1.75rem;padding:.75rem 0;background:var(--rm-surface, #fff);border-bottom:1px solid var(--rm-border)}.dark #resource-map-toolbar{background:#0b0e0d}.rm-controls{display:grid;grid-template-columns:minmax(15rem,1fr) minmax(10rem,auto) auto;gap:.625rem;align-items:center}.rm-search{position:relative;min-width:0}.rm-search svg{position:absolute;top:50%;left:.75rem;width:1rem;height:1rem;color:var(--rm-muted);fill:none;stroke:currentColor;stroke-width:1.8;transform:translateY(-50%);pointer-events:none}.rm-area-select,.rm-collapse,.rm-search input{min-height:2.5rem;font-size:.875rem}.rm-area-select,.rm-clear,.rm-collapse,.rm-empty button,.rm-search input{color:inherit;background:0 0;border:1px solid var(--rm-border);border-radius:.5rem;font:inherit}.rm-empty button{font-size:.875rem}.rm-search input{width:100%;padding:.58rem 2.6rem .58rem 2.35rem}.rm-search input::placeholder{color:var(--rm-muted);opacity:1}.rm-shortcut{position:absolute;top:50%;right:.65rem;display:grid;width:1.5rem;height:1.5rem;place-items:center;color:var(--rm-muted);background:var(--rm-soft);border:1px solid var(--rm-border);border-radius:.35rem;font:inherit;font-size:.72rem;transform:translateY(-50%);pointer-events:none}.rm-area-wrap{position:relative;max-width:13rem}.rm-area-select{width:100%;max-width:13rem;padding:.55rem 2.25rem .55rem .75rem;appearance:none;cursor:pointer}.rm-area-caret{position:absolute;top:50%;right:.85rem;width:.45rem;height:.45rem;border-right:1.5px solid currentColor;border-bottom:1.5px solid currentColor;transform:translateY(-70%) rotate(45deg);pointer-events:none}.rm-collapse{padding:.5rem .75rem}.rm-clear,.rm-collapse,.rm-empty button{font-weight:650;cursor:pointer}.rm-empty button{padding:.5rem .75rem}.rm-area-select:focus-visible,.rm-clear:focus-visible,.rm-collapse:focus-visible,.rm-empty button:focus-visible,.rm-search input:focus-visible{outline:2px solid #00b688;outline-offset:2px;border-color:#00b688;box-shadow:none!important}.rm-clear:hover,.rm-collapse:hover,.rm-empty button:hover{color:#08785d;background:var(--rm-soft)}.dark .rm-clear:hover,.dark .rm-collapse:hover,.dark .rm-empty button:hover{color:#5eead4}.rm-meta{display:flex;min-height:1.65rem;align-items:center;justify-content:space-between;gap:.75rem;padding:.45rem .15rem 0}.rm-status{color:var(--rm-muted);font-size:.78rem;line-height:1.35}.rm-clear{min-height:1.8rem;padding:.2rem .55rem;border-color:transparent;font-size:.78rem}.rm-empty{display:grid;justify-items:start;gap:.35rem;margin:-.5rem 0 1.75rem;padding:1.1rem 1.2rem;color:var(--rm-muted);background:var(--rm-soft);border:1px solid var(--rm-border);border-radius:.75rem;font-size:.875rem}.rm-empty strong{color:inherit;font-size:.95rem}.rm-empty button{min-height:2.2rem;margin-top:.35rem}.rm-resource-list{display:block!important;margin:0 0 .75rem!important;border-color:var(--rm-border)!important;border-top:0!important;border-radius:0 0 .75rem .75rem!important}.rm-resource-list>details.accordion{margin:0!important;border:0!important;border-radius:0!important}.rm-resource-list>details.accordion+details.accordion{border-top:1px solid var(--rm-border)!important}.rm-resource-list>details.accordion>summary{min-height:3rem;padding:.7rem .9rem!important;border-radius:0!important}.rm-resource-list>details.accordion:first-child>summary{border-radius:0!important}.rm-resource-list>details.accordion:last-child:not([open])>summary{border-radius:0 0 .75rem .75rem!important}.rm-resource-list [data-component-part=accordion-title]{display:flex;min-width:0;align-items:baseline;justify-content:space-between;gap:1rem}.rm-resource-name{min-width:0;overflow-wrap:anywhere;font-weight:650}.rm-method-count{flex:0 0 auto;color:var(--rm-muted);font-size:.75rem;font-weight:500;white-space:nowrap}.rm-resource-list details[open]>summary{background:var(--rm-soft)}.rm-resource-list details[open] [data-component-part=accordion-content]{margin-right:1rem;margin-left:1rem}.rm-resource-list tbody tr.rm-row-match{background:rgb(0 182 136/8%)}.rm-resource-list td:first-child code{white-space:nowrap}.rm-clear[hidden],.rm-collapse[hidden],.rm-empty[hidden],.rm-explorer h2[hidden],.rm-resource-list tbody tr[hidden],.rm-resource-list[hidden]{display:none!important}.rm-explorer h2{position:relative;min-height:3rem;margin:.45rem 0 0!important;scroll-margin-top:10rem;border:1px solid var(--rm-border);border-radius:.75rem}.rm-explorer h2.rm-section-open{border-radius:.75rem .75rem 0 0}.rm-section-toggle{display:grid;width:100%;min-height:3rem;grid-template-columns:minmax(0,1fr) auto auto;align-items:center;gap:.75rem;padding:.6rem .9rem;color:inherit;text-align:left;background:0 0;border:0;cursor:pointer}.rm-section-toggle:focus-visible,.rm-section-toggle:hover{background:var(--rm-soft)}.rm-section-toggle:focus-visible{outline:2px solid #00b688;outline-offset:2px;border-radius:.7rem}.rm-section-name{font-size:1rem;font-weight:700}.rm-section-count{display:grid;min-width:1.65rem;min-height:1.4rem;place-items:center;padding:3px 6px;color:#08785d;background:rgb(0 182 136/10%);border-radius:.35rem;font-size:12px;font-weight:700;line-height:16px;white-space:nowrap}.dark .rm-section-count{color:#5eead4;background:#12302b}.rm-section-caret{width:.5rem;height:.5rem;border-right:1.5px solid currentColor;border-bottom:1.5px solid currentColor;transform:rotate(45deg) translateY(-.15rem)}.rm-section-toggle[aria-expanded=true] .rm-section-caret{transform:rotate(225deg) translate(-.1rem,-.05rem)}@media (max-width:767px){#resource-map-toolbar{position:static;top:auto;z-index:auto;margin-top:1rem;padding-top:.6rem}.rm-controls{grid-template-columns:minmax(0,1fr) auto}.rm-search{grid-column:1/-1}.rm-search input{padding-right:.75rem}.rm-resource-list thead,.rm-shortcut{display:none}.rm-area-select,.rm-area-wrap{width:100%;max-width:none}.rm-resource-list [data-component-part=accordion-title]{gap:.65rem}.rm-method-count{font-size:.7rem}.rm-resource-list table,.rm-resource-list tbody{display:block;width:100%;min-width:0!important}.rm-resource-list tbody tr{display:grid;width:100%;grid-template-columns:minmax(0,1fr);gap:.45rem;padding:.75rem 0}.rm-resource-list tbody tr+tr{border-top:1px solid var(--rm-border)}.rm-resource-list tbody td{display:grid;width:100%;min-width:0!important;grid-template-columns:4.5rem minmax(0,1fr);align-items:start;gap:.5rem;padding:0!important;border:0!important}.rm-resource-list tbody td::before{color:var(--rm-muted);font-size:.68rem;font-weight:700;letter-spacing:.04em;text-transform:uppercase}.rm-resource-list tbody td:first-child::before{content:\"Method\"}.rm-resource-list tbody td:last-child::before{content:\"Endpoint\"}.rm-resource-list tbody td a,.rm-resource-list tbody td code{min-width:0;white-space:normal!important;overflow-wrap:anywhere}}@media (prefers-reduced-motion:reduce){.rm-explorer *,.rm-explorer ::after,.rm-explorer ::before{scroll-behavior:auto!important;transition-duration:.01ms!important}}.sdk-launchpad{--sdk-border:#d8e1de;--sdk-panel:#ffffff;margin:1rem 0 1.5rem;padding:1rem;overflow:hidden;color:inherit;background:var(--sdk-panel);border:1px solid var(--sdk-border);border-radius:12px}.dark .sdk-launchpad{--sdk-border:#293431;--sdk-panel:#101513}.sdk-launchpad-kicker{margin:0 0 .25rem!important;color:#08785d;font-size:.68rem;font-weight:800;letter-spacing:.1em}.dark .sdk-launchpad-kicker{color:#5eead4}.sdk-launchpad>h2{margin-top:.25rem}.sdk-launchpad [role=tablist]{display:flex;flex-wrap:wrap;gap:.25rem}.sdk-launchpad [role=tab]{min-width:56px;min-height:44px}.sdk-launchpad [role=tab][aria-selected=true]{color:#08785d!important}.dark .sdk-launchpad [role=tab][aria-selected=true]{color:#5eead4!important}.sdk-launchpad [role=tab]:focus-visible,.sdk-launchpad a:focus-visible,.sdk-launchpad-code:focus-visible{outline:2px solid #08785d;outline-offset:2px}.dark .sdk-launchpad [role=tab]:focus-visible,.dark .sdk-launchpad a:focus-visible,.dark .sdk-launchpad-code:focus-visible{outline-color:#5eead4}.sdk-launchpad-code{max-width:100%;overflow-x:auto;border-radius:.5rem}.sdk-launchpad-code pre{max-width:none;overflow-x:visible!important}.sdk-launchpad-code button{min-width:44px;min-height:44px}#content-area:has(#sdk-launchpad) .chat-assistant-floating-input{display:none}@media (max-width:640px){.sdk-launchpad{margin-top:.75rem;padding:.75rem}.sdk-launchpad-kicker{display:none}.sdk-launchpad [role=tablist]{display:grid;grid-template-columns:repeat(6,minmax(0,1fr));gap:.2rem;overflow:visible}.sdk-launchpad [role=tab]{min-width:0;min-height:44px;padding-inline:.2rem;font-size:.75rem;line-height:1.15;white-space:nowrap}}.sdk-directory li{margin-block:.5rem}.mdx-content table td{min-width:0!important}.mdx-content table td :is(code, a){overflow-wrap:anywhere}.mdx-content table :is(th, td):first-child code{white-space:nowrap;word-break:normal;overflow-wrap:normal}@media (min-width:768px){.tx-table-grid table{table-layout:fixed}.tx-table-grid table :is(th, td):first-child{width:40%}}.tx-retirement-banner{margin-bottom:1.5rem}.tx-retirement-banner>div{margin:0}@media (min-width:1024px){.tx-retirement-banner{position:sticky;top:calc(6rem + var(--banner-height, 0px));z-index:20;padding-top:.5rem;background:rgb(var(--background-light, 255 255 255))}.dark .tx-retirement-banner{background:rgb(var(--background-dark, 9 12 14))}}#content>.callout:first-child{margin-top:0}#content strong{font-weight:600}"}],"page":{"pagePath":"api-reference/verification-requests/update-verification-request","slug":"/api-reference/verification-requests/update-verification-request","pageMetadata":{"title":"Update Verification Request","description":"Update an existing tollfree verification request. This is particularly useful when there are pending customer actions to be taken.","deprecated":null,"version":null,"openapi":"/openapi/source/external/messaging/toll-free-verification.json patch /messaging_tollfree/verification/requests/{id}","href":"/api-reference/verification-requests/update-verification-request","autogeneratedByOpenApi":true},"description":{"compiledSource":"\"use strict\";\nconst {jsx: _jsx} = arguments[0];\nconst {useMDXComponents: _provideComponents} = arguments[0];\nfunction _createMdxContent(props) {\n const _components = {\n p: \"p\",\n ..._provideComponents(),\n ...props.components\n };\n return _jsx(_components.p, {\n children: \"Update an existing tollfree verification request. This is particularly useful when there are pending customer actions to be taken.\"\n });\n}\nfunction MDXContent(props = {}) {\n const {wrapper: MDXLayout} = {\n ..._provideComponents(),\n ...props.components\n };\n return MDXLayout ? _jsx(MDXLayout, {\n ...props,\n children: _jsx(_createMdxContent, {\n ...props\n })\n }) : _createMdxContent(props);\n}\nreturn {\n default: MDXContent\n};\n","frontmatter":{},"scope":{}},"pageType":"default","mdx":{"mdxSource":{"compiledSource":"\"use strict\";const{Fragment:_Fragment,jsx:_jsx}=arguments[0];const{useMDXComponents:_provideComponents}=arguments[0];function _createMdxContent(props){return _jsx(_Fragment,{})}function MDXContent(props={}){const{wrapper:MDXLayout}={..._provideComponents(),...props.components};return MDXLayout?_jsx(MDXLayout,{...props,children:_jsx(_createMdxContent,{...props})}):_createMdxContent(props)}return{default:MDXContent}","frontmatter":{},"scope":{"config":{},"pageMetadata":{"title":"Update Verification Request","description":"Update an existing tollfree verification request. This is particularly useful when there are pending customer actions to be taken.","deprecated":null,"version":null,"openapi":"/openapi/source/external/messaging/toll-free-verification.json patch /messaging_tollfree/verification/requests/{id}","href":"/api-reference/verification-requests/update-verification-request","autogeneratedByOpenApi":true}}},"mdxSourceWithNoJs":null},"mdxExtracts":{"tableOfContents":[],"codeExamples":{}},"jsLinks":["/_mintlify/custom/telnyx/a2dd5aaa2ff5831a/reading-progress.js","/_mintlify/custom/telnyx/7b77ce9cedb163fd/webmcp-init.js","/_mintlify/custom/telnyx/7fbfee588ac7ad38/structured-data.js","/_mintlify/custom/telnyx/41d9633b1a2dd405/scripts/tests/generate-llms-txt.test.js","/_mintlify/custom/telnyx/8851ad5fd6e9b5c7/scripts/tests/direct-source-workflows.test.js","/_mintlify/custom/telnyx/7ad13bb6588be22f/scripts/tests/redirects.test.js","/_mintlify/custom/telnyx/f981035eb45fcbdb/scripts/tests/generate-error-catalog.test.js","/_mintlify/custom/telnyx/132bc205f55282a5/scripts/tests/sync-llms-automerge.test.js","/_mintlify/custom/telnyx/05e787f15f45952b/scripts/tests/webhook-catalog-lifecycle.test.js","/_mintlify/custom/telnyx/01b840b27496e6c8/scripts/tests/repository-structure.test.js","/_mintlify/custom/telnyx/5ebc7d6e18012563/scripts/tests/legacy-content-usage.test.js","/_mintlify/custom/telnyx/ac1f21e68bf4050a/scripts/docs/check-llms-links.js","/_mintlify/custom/telnyx/5f7d2f1ae375b9ad/scripts/docs/check-llms-native-routes.js","/_mintlify/custom/telnyx/b8d13287c2dcc5b9/scripts/docs/fetch-coverage.js","/_mintlify/custom/telnyx/e0a29f76f2645359/scripts/docs/generate-error-catalog.js","/_mintlify/custom/telnyx/3d8fe29c5f30f1bc/scripts/docs/generate-llms-txt.js","/_mintlify/custom/telnyx/f1f111fe784c3ede/scripts/docs/update-tts-voices.js","/_mintlify/custom/telnyx/c48ad0189f7f1c57/scripts/docs/build-sdk-doc-pages.js","/_mintlify/custom/telnyx/f840117777d76f9e/scripts/tests/sdk-doc-pages.test.js","/_mintlify/custom/telnyx/414c53c50b0e1968/resource-map-filter.js","/_mintlify/custom/telnyx/80af622b3010a712/scripts/tests/sdk-language-switcher.test.js","/_mintlify/custom/telnyx/52fa0fbcb966f8b6/sdk-language-switcher.js","/_mintlify/custom/telnyx/3de33ceedb29f568/home-directory.js","/_mintlify/custom/telnyx/da7a630a1adf8a7a/scripts/generate-home-directory.js","/_mintlify/custom/telnyx/137e3eb8e1d1d85a/scripts/tests/api-fundamentals.test.js","/_mintlify/custom/telnyx/24a8eed3a5010d4c/scripts/tests/agent-sdk-workflow.test.js","/_mintlify/custom/telnyx/abc2169efcd5115c/scripts/tests/homepage-overview.test.js","/_mintlify/custom/telnyx/8edf49ac62deef02/scripts/tests/batch-detail-records-navigation.test.js","/_mintlify/custom/telnyx/e005178572336f01/scripts/tests/api-discoverability.test.js","/_mintlify/custom/telnyx/78cb83896fbea5cf/scripts/tests/home-directory.test.js","/_mintlify/custom/telnyx/11ae45253e6b7be6/scripts/tests/agent-readiness.test.js","/_mintlify/custom/telnyx/82396d5a75077c2a/scripts/tests/sample-workflow-regressions.test.js","/_mintlify/custom/telnyx/5f6625c0420c9328/scripts/tests/openapi-mintlify-parsing.test.js","/_mintlify/custom/telnyx/c7dca602ca9641ec/scripts/tests/llms-markdown-assets.test.js","/_mintlify/custom/telnyx/02d6acd7c86b79f9/scripts/tests/agent-browser-quickstart.test.js"],"openApiReferenceData":{"operation":{"tags":["Verification Requests"],"summary":"Update Verification Request","description":"Update an existing tollfree verification request. This is particularly useful when there are pending customer actions to be taken.","operationId":"UpdateVerificationRequest","parameters":["6136e338-cd48-4f49-a825-767fd7f99413"],"requestBody":"ee646c8b-583a-45a6-8b98-eea9d83756bf","responses":{"200":"87884821-a7b1-47e7-9ea3-c98de6a5bebf","4XX":"d88945d2-933c-4ba8-ab74-bead818a093a"},"x-codeSamples":[{"lang":"JavaScript","source":"import Telnyx from 'telnyx';\n\nconst client = new Telnyx({\n apiKey: process.env['TELNYX_API_KEY'], // This is the default and can be omitted\n});\n\nconst verificationRequestEgress = await client.messagingTollfree.verification.requests.update(\n '182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e',\n {\n additionalInformation: 'additionalInformation',\n businessAddr1: '600 Congress Avenue',\n businessCity: 'Austin',\n businessContactEmail: '[email protected]',\n businessContactFirstName: 'John',\n businessContactLastName: 'Doe',\n businessContactPhone: '+18005550100',\n businessName: 'Telnyx LLC',\n businessState: 'Texas',\n businessZip: '78701',\n corporateWebsite: 'http://example.com',\n messageVolume: '100,000',\n optInWorkflow:\n \"User signs into the Telnyx portal, enters a number and is prompted to select whether they want to use 2FA verification for security purposes. If they've opted in a confirmation message is sent out to the handset\",\n optInWorkflowImageURLs: [\n { url: 'https://telnyx.com/sign-up' },\n { url: 'https://telnyx.com/company/data-privacy' },\n ],\n phoneNumbers: [{ phoneNumber: '+18773554398' }, { phoneNumber: '+18773554399' }],\n productionMessageContent: 'Your Telnyx OTP is XXXX',\n useCase: '2FA',\n useCaseSummary:\n 'This is a use case where Telnyx sends out 2FA codes to portal users to verify their identity in order to sign into the portal',\n },\n);\n\nconsole.log(verificationRequestEgress.id);"},{"lang":"Python","source":"import os\nfrom telnyx import Telnyx\n\nclient = Telnyx(\n api_key=os.environ.get(\"TELNYX_API_KEY\"), # This is the default and can be omitted\n)\nverification_request_egress = client.messaging_tollfree.verification.requests.update(\n id=\"182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e\",\n additional_information=\"additionalInformation\",\n business_addr1=\"600 Congress Avenue\",\n business_city=\"Austin\",\n business_contact_email=\"[email protected]\",\n business_contact_first_name=\"John\",\n business_contact_last_name=\"Doe\",\n business_contact_phone=\"+18005550100\",\n business_name=\"Telnyx LLC\",\n business_state=\"Texas\",\n business_zip=\"78701\",\n corporate_website=\"http://example.com\",\n message_volume=\"100,000\",\n opt_in_workflow=\"User signs into the Telnyx portal, enters a number and is prompted to select whether they want to use 2FA verification for security purposes. If they've opted in a confirmation message is sent out to the handset\",\n opt_in_workflow_image_urls=[{\n \"url\": \"https://telnyx.com/sign-up\"\n }, {\n \"url\": \"https://telnyx.com/company/data-privacy\"\n }],\n phone_numbers=[{\n \"phone_number\": \"+18773554398\"\n }, {\n \"phone_number\": \"+18773554399\"\n }],\n production_message_content=\"Your Telnyx OTP is XXXX\",\n use_case=\"2FA\",\n use_case_summary=\"This is a use case where Telnyx sends out 2FA codes to portal users to verify their identity in order to sign into the portal\",\n)\nprint(verification_request_egress.id)\n"},{"lang":"Go","source":"package main\n\nimport (\n\t\"context\"\n\t\"fmt\"\n\n\t\"github.com/team-telnyx/telnyx-go\"\n\t\"github.com/team-telnyx/telnyx-go/option\"\n)\n\nfunc main() {\n\tclient := telnyx.NewClient(\n\t\toption.WithAPIKey(\"My API Key\"),\n\t)\n\tverificationRequestEgress, err := client.MessagingTollfree.Verification.Requests.Update(\n\t\tcontext.TODO(),\n\t\t\"182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e\",\n\t\ttelnyx.MessagingTollfreeVerificationRequestUpdateParams{\n\t\t\tTfVerificationRequest: telnyx.TfVerificationRequestParam{\n\t\t\t\tAdditionalInformation: \"additionalInformation\",\n\t\t\t\tBusinessAddr1: \"600 Congress Avenue\",\n\t\t\t\tBusinessCity: \"Austin\",\n\t\t\t\tBusinessContactEmail: \"[email protected]\",\n\t\t\t\tBusinessContactFirstName: \"John\",\n\t\t\t\tBusinessContactLastName: \"Doe\",\n\t\t\t\tBusinessContactPhone: \"+18005550100\",\n\t\t\t\tBusinessName: \"Telnyx LLC\",\n\t\t\t\tBusinessState: \"Texas\",\n\t\t\t\tBusinessZip: \"78701\",\n\t\t\t\tCorporateWebsite: \"http://example.com\",\n\t\t\t\tMessageVolume: telnyx.VolumeV100000,\n\t\t\t\tOptInWorkflow: \"User signs into the Telnyx portal, enters a number and is prompted to select whether they want to use 2FA verification for security purposes. If they've opted in a confirmation message is sent out to the handset\",\n\t\t\t\tOptInWorkflowImageURLs: []telnyx.URLParam{{\n\t\t\t\t\tURL: \"https://telnyx.com/sign-up\",\n\t\t\t\t}, {\n\t\t\t\t\tURL: \"https://telnyx.com/company/data-privacy\",\n\t\t\t\t}},\n\t\t\t\tPhoneNumbers: []telnyx.TfPhoneNumberParam{{\n\t\t\t\t\tPhoneNumber: \"+18773554398\",\n\t\t\t\t}, {\n\t\t\t\t\tPhoneNumber: \"+18773554399\",\n\t\t\t\t}},\n\t\t\t\tProductionMessageContent: \"Your Telnyx OTP is XXXX\",\n\t\t\t\tUseCase: telnyx.UseCaseCategoriesTwoFa,\n\t\t\t\tUseCaseSummary: \"This is a use case where Telnyx sends out 2FA codes to portal users to verify their identity in order to sign into the portal\",\n\t\t\t},\n\t\t},\n\t)\n\tif err != nil {\n\t\tpanic(err.Error())\n\t}\n\tfmt.Printf(\"%+v\\n\", verificationRequestEgress.ID)\n}\n"},{"lang":"Java","source":"package com.telnyx.sdk.example;\n\nimport com.telnyx.sdk.client.TelnyxClient;\nimport com.telnyx.sdk.client.okhttp.TelnyxOkHttpClient;\nimport com.telnyx.sdk.models.messagingtollfree.verification.requests.RequestUpdateParams;\nimport com.telnyx.sdk.models.messagingtollfree.verification.requests.TfPhoneNumber;\nimport com.telnyx.sdk.models.messagingtollfree.verification.requests.TfVerificationRequest;\nimport com.telnyx.sdk.models.messagingtollfree.verification.requests.Url;\nimport com.telnyx.sdk.models.messagingtollfree.verification.requests.UseCaseCategories;\nimport com.telnyx.sdk.models.messagingtollfree.verification.requests.VerificationRequestEgress;\nimport com.telnyx.sdk.models.messagingtollfree.verification.requests.Volume;\n\npublic final class Main {\n private Main() {}\n\n public static void main(String[] args) {\n TelnyxClient client = TelnyxOkHttpClient.fromEnv();\n\n RequestUpdateParams params = RequestUpdateParams.builder()\n .id(\"182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e\")\n .tfVerificationRequest(TfVerificationRequest.builder()\n .additionalInformation(\"additionalInformation\")\n .businessAddr1(\"600 Congress Avenue\")\n .businessCity(\"Austin\")\n .businessContactEmail(\"[email protected]\")\n .businessContactFirstName(\"John\")\n .businessContactLastName(\"Doe\")\n .businessContactPhone(\"+18005550100\")\n .businessName(\"Telnyx LLC\")\n .businessState(\"Texas\")\n .businessZip(\"78701\")\n .corporateWebsite(\"http://example.com\")\n .messageVolume(Volume.V_100000)\n .optInWorkflow(\"User signs into the Telnyx portal, enters a number and is prompted to select whether they want to use 2FA verification for security purposes. If they've opted in a confirmation message is sent out to the handset\")\n .addOptInWorkflowImageUrl(Url.builder()\n .url(\"https://telnyx.com/sign-up\")\n .build())\n .addOptInWorkflowImageUrl(Url.builder()\n .url(\"https://telnyx.com/company/data-privacy\")\n .build())\n .addPhoneNumber(TfPhoneNumber.builder()\n .phoneNumber(\"+18773554398\")\n .build())\n .addPhoneNumber(TfPhoneNumber.builder()\n .phoneNumber(\"+18773554399\")\n .build())\n .productionMessageContent(\"Your Telnyx OTP is XXXX\")\n .useCase(UseCaseCategories.TWO_FA)\n .useCaseSummary(\"This is a use case where Telnyx sends out 2FA codes to portal users to verify their identity in order to sign into the portal\")\n .build())\n .build();\n VerificationRequestEgress verificationRequestEgress = client.messagingTollfree().verification().requests().update(params);\n }\n}"},{"lang":"Ruby","source":"require \"telnyx\"\n\ntelnyx = Telnyx::Client.new(api_key: \"My API Key\")\n\nverification_request_egress = telnyx.messaging_tollfree.verification.requests.update(\n \"182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e\",\n additional_information: \"additionalInformation\",\n business_addr1: \"600 Congress Avenue\",\n business_city: \"Austin\",\n business_contact_email: \"[email protected]\",\n business_contact_first_name: \"John\",\n business_contact_last_name: \"Doe\",\n business_contact_phone: \"+18005550100\",\n business_name: \"Telnyx LLC\",\n business_state: \"Texas\",\n business_zip: \"78701\",\n corporate_website: \"http://example.com\",\n message_volume: :\"100,000\",\n opt_in_workflow: \"User signs into the Telnyx portal, enters a number and is prompted to select whether they want to use 2FA verification for security purposes. If they've opted in a confirmation message is sent out to the handset\",\n opt_in_workflow_image_urls: [{url: \"https://telnyx.com/sign-up\"}, {url: \"https://telnyx.com/company/data-privacy\"}],\n phone_numbers: [{phoneNumber: \"+18773554398\"}, {phoneNumber: \"+18773554399\"}],\n production_message_content: \"Your Telnyx OTP is XXXX\",\n use_case: :\"2FA\",\n use_case_summary: \"This is a use case where Telnyx sends out 2FA codes to portal users to verify their identity in order to sign into the portal\"\n)\n\nputs(verification_request_egress)"},{"lang":"PHP","source":"\u003c?php\n\nrequire_once dirname(__DIR__) . '/vendor/autoload.php';\n\nuse Telnyx\\Client;\nuse Telnyx\\Core\\Exceptions\\APIException;\nuse Telnyx\\MessagingTollfree\\Verification\\Requests\\Volume;\nuse Telnyx\\MessagingTollfree\\Verification\\Requests\\UseCaseCategories;\nuse Telnyx\\MessagingTollfree\\Verification\\Requests\\TollFreeVerificationEntityType;\n\n$client = new Client(apiKey: getenv('TELNYX_API_KEY') ?: 'My API Key');\n\ntry {\n $verificationRequestEgress = $client\n ->messagingTollfree\n ->verification\n ->requests\n ->update(\n '182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e',\n additionalInformation: 'additionalInformation',\n businessAddr1: '600 Congress Avenue',\n businessCity: 'Austin',\n businessContactEmail: '[email protected]',\n businessContactFirstName: 'John',\n businessContactLastName: 'Doe',\n businessContactPhone: '+18005550100',\n businessName: 'Telnyx LLC',\n businessState: 'Texas',\n businessZip: '78701',\n corporateWebsite: 'http://example.com',\n messageVolume: Volume::V_100000,\n optInWorkflow: 'User signs into the Telnyx portal, enters a number and is prompted to select whether they want to use 2FA verification for security purposes. If they\\'ve opted in a confirmation message is sent out to the handset',\n optInWorkflowImageURLs: [\n ['url' => 'https://telnyx.com/sign-up'],\n ['url' => 'https://telnyx.com/company/data-privacy'],\n ],\n phoneNumbers: [\n ['phoneNumber' => '+18773554398'], ['phoneNumber' => '+18773554399']\n ],\n productionMessageContent: 'Your Telnyx OTP is XXXX',\n useCase: UseCaseCategories::TWO_FA,\n useCaseSummary: 'This is a use case where Telnyx sends out 2FA codes to portal users to verify their identity in order to sign into the portal',\n ageGatedContent: true,\n businessAddr2: '14th Floor',\n businessRegistrationCountry: 'US',\n businessRegistrationNumber: '12-3456789',\n businessRegistrationType: 'EIN',\n campaignVerifyAuthorizationToken: 'cv_token_abc123xyz',\n doingBusinessAs: 'Acme Services',\n entityType: TollFreeVerificationEntityType::SOLE_PROPRIETOR,\n helpMessageResponse: 'Reply HELP for assistance or STOP to unsubscribe. Contact: [email protected]',\n isvReseller: 'isvReseller',\n optInConfirmationResponse: 'You have successfully opted in to receive messages from Acme Corp',\n optInKeywords: 'START, YES, SUBSCRIBE',\n privacyPolicyURL: 'https://example.com/privacy',\n termsAndConditionURL: 'https://example.com/terms',\n webhookURL: 'http://example-webhook.com',\n );\n\n var_dump($verificationRequestEgress);\n} catch (APIException $e) {\n echo $e->getMessage();\n}"},{"lang":"CLI","source":"telnyx messaging-tollfree:verification:requests update \\\n --api-key 'My API Key' \\\n --id 182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e \\\n --additional-information additionalInformation \\\n --business-addr1 '600 Congress Avenue' \\\n --business-city Austin \\\n --business-contact-email [email protected] \\\n --business-contact-first-name John \\\n --business-contact-last-name Doe \\\n --business-contact-phone +18005550100 \\\n --business-name 'Telnyx LLC' \\\n --business-state Texas \\\n --business-zip 78701 \\\n --corporate-website http://example.com \\\n --message-volume 100,000 \\\n --opt-in-workflow \"User signs into the Telnyx portal, enters a number and is prompted to select whether they want to use 2FA verification for security purposes. If they've opted in a confirmation message is sent out to the handset\" \\\n --opt-in-workflow-image-url '{url: https://telnyx.com/sign-up}' \\\n --opt-in-workflow-image-url '{url: https://telnyx.com/company/data-privacy}' \\\n --phone-number \"{phoneNumber: '+18773554398'}\" \\\n --phone-number \"{phoneNumber: '+18773554399'}\" \\\n --production-message-content 'Your Telnyx OTP is XXXX' \\\n --use-case 2FA \\\n --use-case-summary 'This is a use case where Telnyx sends out 2FA codes to portal users to verify their identity in order to sign into the portal'"}],"method":"patch","type":"path","servers":["b69df788-4e8e-486f-8317-8abeb68767d0"],"security":["d58a02c3-fccf-4f74-8224-eaeb186c81ac"],"path":"/messaging_tollfree/verification/requests/{id}","baseUrlOptions":["https://api.telnyx.com/v2"],"title":"Update Verification Request","codeSamples":[{"lang":"JavaScript","source":"import Telnyx from 'telnyx';\n\nconst client = new Telnyx({\n apiKey: process.env['TELNYX_API_KEY'], // This is the default and can be omitted\n});\n\nconst verificationRequestEgress = await client.messagingTollfree.verification.requests.update(\n '182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e',\n {\n additionalInformation: 'additionalInformation',\n businessAddr1: '600 Congress Avenue',\n businessCity: 'Austin',\n businessContactEmail: '[email protected]',\n businessContactFirstName: 'John',\n businessContactLastName: 'Doe',\n businessContactPhone: '+18005550100',\n businessName: 'Telnyx LLC',\n businessState: 'Texas',\n businessZip: '78701',\n corporateWebsite: 'http://example.com',\n messageVolume: '100,000',\n optInWorkflow:\n \"User signs into the Telnyx portal, enters a number and is prompted to select whether they want to use 2FA verification for security purposes. If they've opted in a confirmation message is sent out to the handset\",\n optInWorkflowImageURLs: [\n { url: 'https://telnyx.com/sign-up' },\n { url: 'https://telnyx.com/company/data-privacy' },\n ],\n phoneNumbers: [{ phoneNumber: '+18773554398' }, { phoneNumber: '+18773554399' }],\n productionMessageContent: 'Your Telnyx OTP is XXXX',\n useCase: '2FA',\n useCaseSummary:\n 'This is a use case where Telnyx sends out 2FA codes to portal users to verify their identity in order to sign into the portal',\n },\n);\n\nconsole.log(verificationRequestEgress.id);"},{"lang":"Python","source":"import os\nfrom telnyx import Telnyx\n\nclient = Telnyx(\n api_key=os.environ.get(\"TELNYX_API_KEY\"), # This is the default and can be omitted\n)\nverification_request_egress = client.messaging_tollfree.verification.requests.update(\n id=\"182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e\",\n additional_information=\"additionalInformation\",\n business_addr1=\"600 Congress Avenue\",\n business_city=\"Austin\",\n business_contact_email=\"[email protected]\",\n business_contact_first_name=\"John\",\n business_contact_last_name=\"Doe\",\n business_contact_phone=\"+18005550100\",\n business_name=\"Telnyx LLC\",\n business_state=\"Texas\",\n business_zip=\"78701\",\n corporate_website=\"http://example.com\",\n message_volume=\"100,000\",\n opt_in_workflow=\"User signs into the Telnyx portal, enters a number and is prompted to select whether they want to use 2FA verification for security purposes. If they've opted in a confirmation message is sent out to the handset\",\n opt_in_workflow_image_urls=[{\n \"url\": \"https://telnyx.com/sign-up\"\n }, {\n \"url\": \"https://telnyx.com/company/data-privacy\"\n }],\n phone_numbers=[{\n \"phone_number\": \"+18773554398\"\n }, {\n \"phone_number\": \"+18773554399\"\n }],\n production_message_content=\"Your Telnyx OTP is XXXX\",\n use_case=\"2FA\",\n use_case_summary=\"This is a use case where Telnyx sends out 2FA codes to portal users to verify their identity in order to sign into the portal\",\n)\nprint(verification_request_egress.id)\n"},{"lang":"Go","source":"package main\n\nimport (\n\t\"context\"\n\t\"fmt\"\n\n\t\"github.com/team-telnyx/telnyx-go\"\n\t\"github.com/team-telnyx/telnyx-go/option\"\n)\n\nfunc main() {\n\tclient := telnyx.NewClient(\n\t\toption.WithAPIKey(\"My API Key\"),\n\t)\n\tverificationRequestEgress, err := client.MessagingTollfree.Verification.Requests.Update(\n\t\tcontext.TODO(),\n\t\t\"182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e\",\n\t\ttelnyx.MessagingTollfreeVerificationRequestUpdateParams{\n\t\t\tTfVerificationRequest: telnyx.TfVerificationRequestParam{\n\t\t\t\tAdditionalInformation: \"additionalInformation\",\n\t\t\t\tBusinessAddr1: \"600 Congress Avenue\",\n\t\t\t\tBusinessCity: \"Austin\",\n\t\t\t\tBusinessContactEmail: \"[email protected]\",\n\t\t\t\tBusinessContactFirstName: \"John\",\n\t\t\t\tBusinessContactLastName: \"Doe\",\n\t\t\t\tBusinessContactPhone: \"+18005550100\",\n\t\t\t\tBusinessName: \"Telnyx LLC\",\n\t\t\t\tBusinessState: \"Texas\",\n\t\t\t\tBusinessZip: \"78701\",\n\t\t\t\tCorporateWebsite: \"http://example.com\",\n\t\t\t\tMessageVolume: telnyx.VolumeV100000,\n\t\t\t\tOptInWorkflow: \"User signs into the Telnyx portal, enters a number and is prompted to select whether they want to use 2FA verification for security purposes. If they've opted in a confirmation message is sent out to the handset\",\n\t\t\t\tOptInWorkflowImageURLs: []telnyx.URLParam{{\n\t\t\t\t\tURL: \"https://telnyx.com/sign-up\",\n\t\t\t\t}, {\n\t\t\t\t\tURL: \"https://telnyx.com/company/data-privacy\",\n\t\t\t\t}},\n\t\t\t\tPhoneNumbers: []telnyx.TfPhoneNumberParam{{\n\t\t\t\t\tPhoneNumber: \"+18773554398\",\n\t\t\t\t}, {\n\t\t\t\t\tPhoneNumber: \"+18773554399\",\n\t\t\t\t}},\n\t\t\t\tProductionMessageContent: \"Your Telnyx OTP is XXXX\",\n\t\t\t\tUseCase: telnyx.UseCaseCategoriesTwoFa,\n\t\t\t\tUseCaseSummary: \"This is a use case where Telnyx sends out 2FA codes to portal users to verify their identity in order to sign into the portal\",\n\t\t\t},\n\t\t},\n\t)\n\tif err != nil {\n\t\tpanic(err.Error())\n\t}\n\tfmt.Printf(\"%+v\\n\", verificationRequestEgress.ID)\n}\n"},{"lang":"Java","source":"package com.telnyx.sdk.example;\n\nimport com.telnyx.sdk.client.TelnyxClient;\nimport com.telnyx.sdk.client.okhttp.TelnyxOkHttpClient;\nimport com.telnyx.sdk.models.messagingtollfree.verification.requests.RequestUpdateParams;\nimport com.telnyx.sdk.models.messagingtollfree.verification.requests.TfPhoneNumber;\nimport com.telnyx.sdk.models.messagingtollfree.verification.requests.TfVerificationRequest;\nimport com.telnyx.sdk.models.messagingtollfree.verification.requests.Url;\nimport com.telnyx.sdk.models.messagingtollfree.verification.requests.UseCaseCategories;\nimport com.telnyx.sdk.models.messagingtollfree.verification.requests.VerificationRequestEgress;\nimport com.telnyx.sdk.models.messagingtollfree.verification.requests.Volume;\n\npublic final class Main {\n private Main() {}\n\n public static void main(String[] args) {\n TelnyxClient client = TelnyxOkHttpClient.fromEnv();\n\n RequestUpdateParams params = RequestUpdateParams.builder()\n .id(\"182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e\")\n .tfVerificationRequest(TfVerificationRequest.builder()\n .additionalInformation(\"additionalInformation\")\n .businessAddr1(\"600 Congress Avenue\")\n .businessCity(\"Austin\")\n .businessContactEmail(\"[email protected]\")\n .businessContactFirstName(\"John\")\n .businessContactLastName(\"Doe\")\n .businessContactPhone(\"+18005550100\")\n .businessName(\"Telnyx LLC\")\n .businessState(\"Texas\")\n .businessZip(\"78701\")\n .corporateWebsite(\"http://example.com\")\n .messageVolume(Volume.V_100000)\n .optInWorkflow(\"User signs into the Telnyx portal, enters a number and is prompted to select whether they want to use 2FA verification for security purposes. If they've opted in a confirmation message is sent out to the handset\")\n .addOptInWorkflowImageUrl(Url.builder()\n .url(\"https://telnyx.com/sign-up\")\n .build())\n .addOptInWorkflowImageUrl(Url.builder()\n .url(\"https://telnyx.com/company/data-privacy\")\n .build())\n .addPhoneNumber(TfPhoneNumber.builder()\n .phoneNumber(\"+18773554398\")\n .build())\n .addPhoneNumber(TfPhoneNumber.builder()\n .phoneNumber(\"+18773554399\")\n .build())\n .productionMessageContent(\"Your Telnyx OTP is XXXX\")\n .useCase(UseCaseCategories.TWO_FA)\n .useCaseSummary(\"This is a use case where Telnyx sends out 2FA codes to portal users to verify their identity in order to sign into the portal\")\n .build())\n .build();\n VerificationRequestEgress verificationRequestEgress = client.messagingTollfree().verification().requests().update(params);\n }\n}"},{"lang":"Ruby","source":"require \"telnyx\"\n\ntelnyx = Telnyx::Client.new(api_key: \"My API Key\")\n\nverification_request_egress = telnyx.messaging_tollfree.verification.requests.update(\n \"182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e\",\n additional_information: \"additionalInformation\",\n business_addr1: \"600 Congress Avenue\",\n business_city: \"Austin\",\n business_contact_email: \"[email protected]\",\n business_contact_first_name: \"John\",\n business_contact_last_name: \"Doe\",\n business_contact_phone: \"+18005550100\",\n business_name: \"Telnyx LLC\",\n business_state: \"Texas\",\n business_zip: \"78701\",\n corporate_website: \"http://example.com\",\n message_volume: :\"100,000\",\n opt_in_workflow: \"User signs into the Telnyx portal, enters a number and is prompted to select whether they want to use 2FA verification for security purposes. If they've opted in a confirmation message is sent out to the handset\",\n opt_in_workflow_image_urls: [{url: \"https://telnyx.com/sign-up\"}, {url: \"https://telnyx.com/company/data-privacy\"}],\n phone_numbers: [{phoneNumber: \"+18773554398\"}, {phoneNumber: \"+18773554399\"}],\n production_message_content: \"Your Telnyx OTP is XXXX\",\n use_case: :\"2FA\",\n use_case_summary: \"This is a use case where Telnyx sends out 2FA codes to portal users to verify their identity in order to sign into the portal\"\n)\n\nputs(verification_request_egress)"},{"lang":"PHP","source":"\u003c?php\n\nrequire_once dirname(__DIR__) . '/vendor/autoload.php';\n\nuse Telnyx\\Client;\nuse Telnyx\\Core\\Exceptions\\APIException;\nuse Telnyx\\MessagingTollfree\\Verification\\Requests\\Volume;\nuse Telnyx\\MessagingTollfree\\Verification\\Requests\\UseCaseCategories;\nuse Telnyx\\MessagingTollfree\\Verification\\Requests\\TollFreeVerificationEntityType;\n\n$client = new Client(apiKey: getenv('TELNYX_API_KEY') ?: 'My API Key');\n\ntry {\n $verificationRequestEgress = $client\n ->messagingTollfree\n ->verification\n ->requests\n ->update(\n '182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e',\n additionalInformation: 'additionalInformation',\n businessAddr1: '600 Congress Avenue',\n businessCity: 'Austin',\n businessContactEmail: '[email protected]',\n businessContactFirstName: 'John',\n businessContactLastName: 'Doe',\n businessContactPhone: '+18005550100',\n businessName: 'Telnyx LLC',\n businessState: 'Texas',\n businessZip: '78701',\n corporateWebsite: 'http://example.com',\n messageVolume: Volume::V_100000,\n optInWorkflow: 'User signs into the Telnyx portal, enters a number and is prompted to select whether they want to use 2FA verification for security purposes. If they\\'ve opted in a confirmation message is sent out to the handset',\n optInWorkflowImageURLs: [\n ['url' => 'https://telnyx.com/sign-up'],\n ['url' => 'https://telnyx.com/company/data-privacy'],\n ],\n phoneNumbers: [\n ['phoneNumber' => '+18773554398'], ['phoneNumber' => '+18773554399']\n
[...]
